declare const _default: {
    "servicePath": string;
    "description": string;
    "kind": string;
    "rootUrl": string;
    "basePath": string;
    "ownerDomain": string;
    "name": string;
    "batchPath": string;
    "revision": string;
    "documentationLink": string;
    "id": string;
    "fullyEncodeReservedExpansion": boolean;
    "title": string;
    "discoveryVersion": string;
    "ownerName": string;
    "resources": {
        "datasets": {
            "methods": {
                "getIamPolicy": {
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "resource": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "pattern": string;
                            "location": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "undelete": {
                    "id": string;
                    "path": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "httpMethod": string;
                    "parameterOrder": string[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {
                        "datasetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                };
                "get": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "datasetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                };
                "patch": {
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "httpMethod": string;
                    "parameterOrder": string[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {
                        "datasetId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                        "updateMask": {
                            "location": string;
                            "description": string;
                            "format": string;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "id": string;
                    "path": string;
                };
                "testIamPermissions": {
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "resource": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "pattern": string;
                            "location": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "delete": {
                    "path": string;
                    "id": string;
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "datasetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                };
                "list": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "parameters": {
                        "pageToken": {
                            "type": string;
                            "location": string;
                            "description": string;
                        };
                        "pageSize": {
                            "location": string;
                            "description": string;
                            "format": string;
                            "type": string;
                        };
                        "projectId": {
                            "description": string;
                            "type": string;
                            "location": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                };
                "create": {
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {};
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "setIamPolicy": {
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "resource": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "pattern": string;
                            "location": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
            };
        };
        "annotations": {
            "methods": {
                "create": {
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {};
                    "flatPath": string;
                };
                "batchCreate": {
                    "flatPath": string;
                    "id": string;
                    "path": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "httpMethod": string;
                    "parameterOrder": never[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {};
                    "scopes": string[];
                };
                "search": {
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {};
                    "flatPath": string;
                };
                "get": {
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "annotationId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "update": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "updateMask": {
                            "type": string;
                            "location": string;
                            "description": string;
                            "format": string;
                        };
                        "annotationId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                };
                "delete": {
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "annotationId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                    };
                };
            };
        };
        "variantsets": {
            "methods": {
                "search": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {};
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                };
                "patch": {
                    "scopes": string[];
                    "parameters": {
                        "updateMask": {
                            "description": string;
                            "format": string;
                            "type": string;
                            "location": string;
                        };
                        "variantSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                };
                "get": {
                    "description": string;
                    "httpMethod": string;
                    "parameterOrder": string[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {
                        "variantSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "id": string;
                    "path": string;
                };
                "delete": {
                    "scopes": string[];
                    "parameters": {
                        "variantSetId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                };
                "create": {
                    "scopes": string[];
                    "parameters": {};
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                };
                "export": {
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "variantSetId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                    };
                };
            };
        };
        "operations": {
            "methods": {
                "cancel": {
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "httpMethod": string;
                    "parameterOrder": string[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {
                        "name": {
                            "pattern": string;
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "id": string;
                    "path": string;
                };
                "list": {
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "filter": {
                            "location": string;
                            "description": string;
                            "type": string;
                        };
                        "name": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "pattern": string;
                        };
                        "pageToken": {
                            "location": string;
                            "description": string;
                            "type": string;
                        };
                        "pageSize": {
                            "type": string;
                            "location": string;
                            "description": string;
                            "format": string;
                        };
                    };
                };
                "get": {
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "name": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "pattern": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
            };
        };
        "referencesets": {
            "methods": {
                "get": {
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "referenceSetId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "search": {
                    "httpMethod": string;
                    "parameterOrder": never[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {};
                    "scopes": string[];
                    "flatPath": string;
                    "id": string;
                    "path": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                };
            };
        };
        "callsets": {
            "methods": {
                "delete": {
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "callSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "search": {
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "parameters": {};
                    "scopes": string[];
                };
                "patch": {
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "updateMask": {
                            "description": string;
                            "format": string;
                            "type": string;
                            "location": string;
                        };
                        "callSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "get": {
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "callSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "create": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {};
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                };
            };
        };
        "reads": {
            "methods": {
                "search": {
                    "flatPath": string;
                    "id": string;
                    "path": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "httpMethod": string;
                    "parameterOrder": never[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {};
                    "scopes": string[];
                };
            };
        };
        "readgroupsets": {
            "methods": {
                "export": {
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "readGroupSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "search": {
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "parameters": {};
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "get": {
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "readGroupSetId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "patch": {
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "readGroupSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                        "updateMask": {
                            "location": string;
                            "description": string;
                            "format": string;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "delete": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "readGroupSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                };
                "import": {
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {};
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
            };
            "resources": {
                "coveragebuckets": {
                    "methods": {
                        "list": {
                            "flatPath": string;
                            "id": string;
                            "path": string;
                            "description": string;
                            "httpMethod": string;
                            "parameterOrder": string[];
                            "response": {
                                "$ref": string;
                            };
                            "parameters": {
                                "referenceName": {
                                    "description": string;
                                    "type": string;
                                    "location": string;
                                };
                                "end": {
                                    "location": string;
                                    "description": string;
                                    "format": string;
                                    "type": string;
                                };
                                "pageToken": {
                                    "description": string;
                                    "type": string;
                                    "location": string;
                                };
                                "pageSize": {
                                    "location": string;
                                    "description": string;
                                    "format": string;
                                    "type": string;
                                };
                                "start": {
                                    "location": string;
                                    "description": string;
                                    "format": string;
                                    "type": string;
                                };
                                "readGroupSetId": {
                                    "location": string;
                                    "description": string;
                                    "required": boolean;
                                    "type": string;
                                };
                                "targetBucketWidth": {
                                    "location": string;
                                    "description": string;
                                    "format": string;
                                    "type": string;
                                };
                            };
                            "scopes": string[];
                        };
                    };
                };
            };
        };
        "variants": {
            "methods": {
                "patch": {
                    "httpMethod": string;
                    "parameterOrder": string[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {
                        "variantId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                        "updateMask": {
                            "description": string;
                            "format": string;
                            "type": string;
                            "location": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "id": string;
                    "path": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                };
                "get": {
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "variantId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "merge": {
                    "httpMethod": string;
                    "parameterOrder": never[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {};
                    "scopes": string[];
                    "flatPath": string;
                    "id": string;
                    "path": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                };
                "import": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {};
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                };
                "delete": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "variantId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                };
                "create": {
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "parameters": {};
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "search": {
                    "path": string;
                    "id": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "parameters": {};
                    "scopes": string[];
                    "flatPath": string;
                };
            };
        };
        "annotationsets": {
            "methods": {
                "delete": {
                    "scopes": string[];
                    "parameters": {
                        "annotationSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                };
                "search": {
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {};
                };
                "get": {
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "annotationSetId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "update": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "updateMask": {
                            "description": string;
                            "format": string;
                            "type": string;
                            "location": string;
                        };
                        "annotationSetId": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                };
                "create": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "parameters": {};
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                };
            };
        };
        "references": {
            "methods": {
                "get": {
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "referenceId": {
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                };
                "search": {
                    "httpMethod": string;
                    "parameterOrder": never[];
                    "response": {
                        "$ref": string;
                    };
                    "parameters": {};
                    "scopes": string[];
                    "flatPath": string;
                    "id": string;
                    "path": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                };
            };
            "resources": {
                "bases": {
                    "methods": {
                        "list": {
                            "response": {
                                "$ref": string;
                            };
                            "parameterOrder": string[];
                            "httpMethod": string;
                            "parameters": {
                                "start": {
                                    "location": string;
                                    "description": string;
                                    "format": string;
                                    "type": string;
                                };
                                "referenceId": {
                                    "location": string;
                                    "description": string;
                                    "required": boolean;
                                    "type": string;
                                };
                                "end": {
                                    "description": string;
                                    "format": string;
                                    "type": string;
                                    "location": string;
                                };
                                "pageToken": {
                                    "type": string;
                                    "location": string;
                                    "description": string;
                                };
                                "pageSize": {
                                    "location": string;
                                    "description": string;
                                    "format": string;
                                    "type": string;
                                };
                            };
                            "scopes": string[];
                            "flatPath": string;
                            "path": string;
                            "id": string;
                            "description": string;
                        };
                    };
                };
            };
        };
    };
    "parameters": {
        "alt": {
            "default": string;
            "enum": string[];
            "type": string;
            "enumDescriptions": string[];
            "location": string;
            "description": string;
        };
        "access_token": {
            "description": string;
            "type": string;
            "location": string;
        };
        "key": {
            "description": string;
            "type": string;
            "location": string;
        };
        "upload_protocol": {
            "description": string;
            "type": string;
            "location": string;
        };
        "quotaUser": {
            "description": string;
            "type": string;
            "location": string;
        };
        "prettyPrint": {
            "description": string;
            "type": string;
            "default": string;
            "location": string;
        };
        "fields": {
            "location": string;
            "description": string;
            "type": string;
        };
        "uploadType": {
            "description": string;
            "type": string;
            "location": string;
        };
        "callback": {
            "location": string;
            "description": string;
            "type": string;
        };
        "oauth_token": {
            "location": string;
            "description": string;
            "type": string;
        };
        "$.xgafv": {
            "type": string;
            "enumDescriptions": string[];
            "location": string;
            "enum": string[];
            "description": string;
        };
    };
    "schemas": {
        "ImportReadGroupSetsResponse": {
            "description": string;
            "type": string;
            "properties": {
                "readGroupSetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
            "id": string;
        };
        "VariantCall": {
            "type": string;
            "properties": {
                "phaseset": {
                    "description": string;
                    "type": string;
                };
                "info": {
                    "type": string;
                    "additionalProperties": {
                        "type": string;
                        "items": {
                            "type": string;
                        };
                    };
                    "description": string;
                };
                "callSetName": {
                    "description": string;
                    "type": string;
                };
                "genotypeLikelihood": {
                    "description": string;
                    "type": string;
                    "items": {
                        "format": string;
                        "type": string;
                    };
                };
                "callSetId": {
                    "description": string;
                    "type": string;
                };
                "genotype": {
                    "description": string;
                    "type": string;
                    "items": {
                        "format": string;
                        "type": string;
                    };
                };
            };
            "id": string;
            "description": string;
        };
        "SearchVariantsResponse": {
            "description": string;
            "type": string;
            "properties": {
                "variants": {
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                    "description": string;
                };
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ListBasesResponse": {
            "type": string;
            "properties": {
                "sequence": {
                    "description": string;
                    "type": string;
                };
                "offset": {
                    "type": string;
                    "description": string;
                    "format": string;
                };
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Status": {
            "description": string;
            "type": string;
            "properties": {
                "message": {
                    "description": string;
                    "type": string;
                };
                "details": {
                    "type": string;
                    "items": {
                        "additionalProperties": {
                            "description": string;
                            "type": string;
                        };
                        "type": string;
                    };
                    "description": string;
                };
                "code": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "UndeleteDatasetRequest": {
            "type": string;
            "properties": {};
            "id": string;
        };
        "Binding": {
            "description": string;
            "type": string;
            "properties": {
                "members": {
                    "type": string;
                    "items": {
                        "type": string;
                    };
                    "description": string;
                };
                "role": {
                    "description": string;
                    "type": string;
                };
                "condition": {
                    "description": string;
                    "$ref": string;
                };
            };
            "id": string;
        };
        "Range": {
            "type": string;
            "properties": {
                "start": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "end": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "referenceName": {
                    "type": string;
                    "description": string;
                };
            };
            "id": string;
            "description": string;
        };
        "VariantSet": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "name": {
                    "description": string;
                    "type": string;
                };
                "referenceSetId": {
                    "type": string;
                    "description": string;
                };
                "metadata": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "referenceBounds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "id": {
                    "description": string;
                    "type": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
                "datasetId": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "BatchCreateAnnotationsResponse": {
            "type": string;
            "properties": {
                "entries": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "ReferenceBound": {
            "description": string;
            "type": string;
            "properties": {
                "upperBound": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "referenceName": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ListOperationsResponse": {
            "description": string;
            "type": string;
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "operations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "Variant": {
            "type": string;
            "properties": {
                "variantSetId": {
                    "description": string;
                    "type": string;
                };
                "referenceName": {
                    "description": string;
                    "type": string;
                };
                "info": {
                    "additionalProperties": {
                        "type": string;
                        "items": {
                            "type": string;
                        };
                    };
                    "description": string;
                    "type": string;
                };
                "referenceBases": {
                    "description": string;
                    "type": string;
                };
                "alternateBases": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "names": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "end": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "filter": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "calls": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "created": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "start": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "quality": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "SearchCallSetsResponse": {
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "callSets": {
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                    "description": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "SearchVariantsRequest": {
            "description": string;
            "type": string;
            "properties": {
                "variantSetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "end": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "maxCalls": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "pageToken": {
                    "description": string;
                    "type": string;
                };
                "pageSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "callSetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "start": {
                    "type": string;
                    "description": string;
                    "format": string;
                };
                "variantName": {
                    "description": string;
                    "type": string;
                };
                "referenceName": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "OperationMetadata": {
            "description": string;
            "type": string;
            "properties": {
                "clientId": {
                    "description": string;
                    "type": string;
                };
                "events": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "endTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "startTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "request": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "runtimeMetadata": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "createTime": {
                    "type": string;
                    "description": string;
                    "format": string;
                };
                "labels": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "type": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "SearchReadGroupSetsRequest": {
            "properties": {
                "name": {
                    "description": string;
                    "type": string;
                };
                "pageToken": {
                    "description": string;
                    "type": string;
                };
                "pageSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "datasetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "SearchAnnotationsResponse": {
            "type": string;
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "annotations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "SearchReadsResponse": {
            "type": string;
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "alignments": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
            "description": string;
        };
        "ClinicalCondition": {
            "type": string;
            "properties": {
                "omimId": {
                    "description": string;
                    "type": string;
                };
                "externalIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "conceptId": {
                    "description": string;
                    "type": string;
                };
                "names": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
            "id": string;
        };
        "Program": {
            "type": string;
            "properties": {
                "commandLine": {
                    "description": string;
                    "type": string;
                };
                "prevProgramId": {
                    "description": string;
                    "type": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
                "version": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ContainerStartedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "ipAddress": {
                    "description": string;
                    "type": string;
                };
                "portMappings": {
                    "additionalProperties": {
                        "format": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "CoverageBucket": {
            "description": string;
            "type": string;
            "properties": {
                "meanCoverage": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "range": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "ComputeEngine": {
            "description": string;
            "type": string;
            "properties": {
                "machineType": {
                    "description": string;
                    "type": string;
                };
                "diskNames": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "instanceName": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ExternalId": {
            "type": string;
            "properties": {
                "sourceName": {
                    "description": string;
                    "type": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "VariantSetMetadata": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "info": {
                    "additionalProperties": {
                        "type": string;
                        "items": {
                            "type": string;
                        };
                    };
                    "description": string;
                    "type": string;
                };
                "type": {
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                };
                "value": {
                    "type": string;
                    "description": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
                "number": {
                    "description": string;
                    "type": string;
                };
                "key": {
                    "description": string;
                    "type": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "SearchVariantSetsRequest": {
            "properties": {
                "pageToken": {
                    "description": string;
                    "type": string;
                };
                "pageSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "datasetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "Reference": {
            "type": string;
            "properties": {
                "sourceAccessions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "sourceUri": {
                    "description": string;
                    "type": string;
                };
                "ncbiTaxonId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "md5checksum": {
                    "description": string;
                    "type": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
                "length": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "SearchReferenceSetsRequest": {
            "type": string;
            "properties": {
                "pageSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "assemblyId": {
                    "description": string;
                    "type": string;
                };
                "md5checksums": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "accessions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "pageToken": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SetIamPolicyRequest": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "policy": {
                    "description": string;
                    "$ref": string;
                };
            };
        };
        "DelayedEvent": {
            "type": string;
            "properties": {
                "metrics": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "cause": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "MergeVariantsRequest": {
            "id": string;
            "type": string;
            "properties": {
                "variants": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "infoMergeConfig": {
                    "additionalProperties": {
                        "enum": string[];
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "variantSetId": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "Read": {
            "description": string;
            "type": string;
            "properties": {
                "supplementaryAlignment": {
                    "description": string;
                    "type": string;
                };
                "properPlacement": {
                    "description": string;
                    "type": string;
                };
                "fragmentLength": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "failedVendorQualityChecks": {
                    "description": string;
                    "type": string;
                };
                "alignedQuality": {
                    "description": string;
                    "type": string;
                    "items": {
                        "format": string;
                        "type": string;
                    };
                };
                "alignment": {
                    "description": string;
                    "$ref": string;
                };
                "numberReads": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
                "secondaryAlignment": {
                    "description": string;
                    "type": string;
                };
                "fragmentName": {
                    "description": string;
                    "type": string;
                };
                "readGroupSetId": {
                    "description": string;
                    "type": string;
                };
                "duplicateFragment": {
                    "description": string;
                    "type": string;
                };
                "readNumber": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "alignedSequence": {
                    "description": string;
                    "type": string;
                };
                "readGroupId": {
                    "description": string;
                    "type": string;
                };
                "info": {
                    "description": string;
                    "type": string;
                    "additionalProperties": {
                        "type": string;
                        "items": {
                            "type": string;
                        };
                    };
                };
                "nextMatePosition": {
                    "description": string;
                    "$ref": string;
                };
            };
            "id": string;
        };
        "BatchCreateAnnotationsRequest": {
            "properties": {
                "annotations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "requestId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "type": string;
        };
        "WorkerReleasedEvent": {
            "properties": {
                "instance": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "CigarUnit": {
            "description": string;
            "type": string;
            "properties": {
                "operation": {
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
                "referenceSequence": {
                    "description": string;
                    "type": string;
                };
                "operationLength": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ReferenceSet": {
            "description": string;
            "type": string;
            "properties": {
                "sourceAccessions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "description": {
                    "type": string;
                    "description": string;
                };
                "ncbiTaxonId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "sourceUri": {
                    "description": string;
                    "type": string;
                };
                "referenceIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "assemblyId": {
                    "description": string;
                    "type": string;
                };
                "md5checksum": {
                    "description": string;
                    "type": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Transcript": {
            "type": string;
            "properties": {
                "exons": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "codingSequence": {
                    "description": string;
                    "$ref": string;
                };
                "geneId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "AnnotationSet": {
            "description": string;
            "type": string;
            "properties": {
                "datasetId": {
                    "description": string;
                    "type": string;
                };
                "sourceUri": {
                    "type": string;
                    "description": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "referenceSetId": {
                    "description": string;
                    "type": string;
                };
                "type": {
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
                "info": {
                    "additionalProperties": {
                        "type": string;
                        "items": {
                            "type": string;
                        };
                    };
                    "description": string;
                    "type": string;
                };
                "id": {
                    "type": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "FailedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "cause": {
                    "description": string;
                    "type": string;
                };
                "code": {
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Experiment": {
            "type": string;
            "properties": {
                "sequencingCenter": {
                    "description": string;
                    "type": string;
                };
                "platformUnit": {
                    "description": string;
                    "type": string;
                };
                "libraryId": {
                    "description": string;
                    "type": string;
                };
                "instrumentModel": {
                    "type": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "ContainerStoppedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "exitStatus": {
                    "type": string;
                    "description": string;
                    "format": string;
                };
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "stderr": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ListDatasetsResponse": {
            "properties": {
                "datasets": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "TestIamPermissionsRequest": {
            "description": string;
            "type": string;
            "properties": {
                "permissions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
            "id": string;
        };
        "PullStartedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "imageUri": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Exon": {
            "properties": {
                "start": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "end": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "frame": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "type": string;
        };
        "ExportReadGroupSetRequest": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "exportUri": {
                    "description": string;
                    "type": string;
                };
                "referenceNames": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "CallSet": {
            "description": string;
            "type": string;
            "properties": {
                "created": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "sampleId": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "info": {
                    "additionalProperties": {
                        "type": string;
                        "items": {
                            "type": string;
                        };
                    };
                    "description": string;
                    "type": string;
                };
                "variantSetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "id": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "PullStoppedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "imageUri": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SearchAnnotationSetsResponse": {
            "type": string;
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "annotationSets": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "ImportVariantsRequest": {
            "description": string;
            "type": string;
            "properties": {
                "format": {
                    "enum": string[];
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                };
                "infoMergeConfig": {
                    "additionalProperties": {
                        "type": string;
                        "enum": string[];
                    };
                    "description": string;
                    "type": string;
                };
                "variantSetId": {
                    "description": string;
                    "type": string;
                };
                "sourceUris": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "normalizeReferenceNames": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "VariantAnnotation": {
            "type": string;
            "properties": {
                "type": {
                    "enum": string[];
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                };
                "alternateBases": {
                    "description": string;
                    "type": string;
                };
                "geneId": {
                    "description": string;
                    "type": string;
                };
                "clinicalSignificance": {
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                };
                "conditions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "effect": {
                    "enum": string[];
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                };
                "transcriptIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
            "id": string;
        };
        "ListCoverageBucketsResponse": {
            "type": string;
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "bucketWidth": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "coverageBuckets": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "RunPipelineResponse": {
            "description": string;
            "type": string;
            "properties": {};
            "id": string;
        };
        "ExportVariantSetRequest": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "format": {
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
                "bigqueryDataset": {
                    "description": string;
                    "type": string;
                };
                "bigqueryTable": {
                    "description": string;
                    "type": string;
                };
                "callSetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "Event": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "timestamp": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "details": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "SearchAnnotationsRequest": {
            "id": string;
            "type": string;
            "properties": {
                "end": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "pageToken": {
                    "description": string;
                    "type": string;
                };
                "pageSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "start": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "annotationSetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "referenceName": {
                    "type": string;
                    "description": string;
                };
                "referenceId": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "Expr": {
            "description": string;
            "type": string;
            "properties": {
                "title": {
                    "description": string;
                    "type": string;
                };
                "location": {
                    "type": string;
                    "description": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
                "expression": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "OperationEvent": {
            "description": string;
            "type": string;
            "properties": {
                "startTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
                "endTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "CodingSequence": {
            "type": string;
            "properties": {
                "start": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "end": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SearchReferencesResponse": {
            "type": string;
            "properties": {
                "references": {
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                    "description": string;
                };
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "GetIamPolicyRequest": {
            "description": string;
            "type": string;
            "properties": {};
            "id": string;
        };
        "TestIamPermissionsResponse": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "permissions": {
                    "type": string;
                    "items": {
                        "type": string;
                    };
                    "description": string;
                };
            };
        };
        "SearchAnnotationSetsRequest": {
            "type": string;
            "properties": {
                "pageToken": {
                    "description": string;
                    "type": string;
                };
                "pageSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "datasetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "types": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                        "enum": string[];
                    };
                    "enumDescriptions": string[];
                };
                "name": {
                    "type": string;
                    "description": string;
                };
                "referenceSetId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SearchReadGroupSetsResponse": {
            "description": string;
            "type": string;
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "readGroupSets": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "SearchReferencesRequest": {
            "id": string;
            "type": string;
            "properties": {
                "accessions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "pageToken": {
                    "description": string;
                    "type": string;
                };
                "referenceSetId": {
                    "type": string;
                    "description": string;
                };
                "pageSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "md5checksums": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
        };
        "LinearAlignment": {
            "description": string;
            "type": string;
            "properties": {
                "position": {
                    "$ref": string;
                    "description": string;
                };
                "cigar": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "mappingQuality": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Dataset": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "name": {
                    "type": string;
                    "description": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
                "createTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
        };
        "ImportVariantsResponse": {
            "description": string;
            "type": string;
            "properties": {
                "callSetIds": {
                    "type": string;
                    "items": {
                        "type": string;
                    };
                    "description": string;
                };
            };
            "id": string;
        };
        "WorkerAssignedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "instance": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ReadGroup": {
            "type": string;
            "properties": {
                "referenceSetId": {
                    "description": string;
                    "type": string;
                };
                "info": {
                    "additionalProperties": {
                        "type": string;
                        "items": {
                            "type": string;
                        };
                    };
                    "description": string;
                    "type": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
                "programs": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "predictedInsertSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
                "sampleId": {
                    "description": string;
                    "type": string;
                };
                "datasetId": {
                    "description": string;
                    "type": string;
                };
                "experiment": {
                    "description": string;
                    "$ref": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "ReadGroupSet": {
            "description": string;
            "type": string;
            "properties": {
                "info": {
                    "type": string;
                    "additionalProperties": {
                        "type": string;
                        "items": {
                            "type": string;
                        };
                    };
                    "description": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
                "datasetId": {
                    "description": string;
                    "type": string;
                };
                "readGroups": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "filename": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "referenceSetId": {
                    "type": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "SearchVariantSetsResponse": {
            "description": string;
            "type": string;
            "properties": {
                "variantSets": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "nextPageToken": {
                    "type": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "Empty": {
            "properties": {};
            "id": string;
            "description": string;
            "type": string;
        };
        "Entry": {
            "type": string;
            "properties": {
                "status": {
                    "description": string;
                    "$ref": string;
                };
                "annotation": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "Position": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "position": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "referenceName": {
                    "description": string;
                    "type": string;
                };
                "reverseStrand": {
                    "type": string;
                    "description": string;
                };
            };
        };
        "SearchReferenceSetsResponse": {
            "type": string;
            "properties": {
                "referenceSets": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SearchCallSetsRequest": {
            "description": string;
            "type": string;
            "properties": {
                "name": {
                    "description": string;
                    "type": string;
                };
                "pageToken": {
                    "description": string;
                    "type": string;
                };
                "pageSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "variantSetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
            "id": string;
        };
        "ImportReadGroupSetsRequest": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "partitionStrategy": {
                    "enum": string[];
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                };
                "datasetId": {
                    "description": string;
                    "type": string;
                };
                "sourceUris": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "referenceSetId": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "ContainerKilledEvent": {
            "properties": {
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "Policy": {
            "type": string;
            "properties": {
                "etag": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "version": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "bindings": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
            "description": string;
        };
        "UnexpectedExitStatusEvent": {
            "properties": {
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "exitStatus": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "SearchReadsRequest": {
            "properties": {
                "referenceName": {
                    "description": string;
                    "type": string;
                };
                "readGroupSetIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "readGroupIds": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "end": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "pageToken": {
                    "description": string;
                    "type": string;
                };
                "pageSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "start": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "CancelOperationRequest": {
            "description": string;
            "type": string;
            "properties": {};
            "id": string;
        };
        "Annotation": {
            "type": string;
            "properties": {
                "transcript": {
                    "description": string;
                    "$ref": string;
                };
                "start": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "annotationSetId": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "variant": {
                    "description": string;
                    "$ref": string;
                };
                "id": {
                    "description": string;
                    "type": string;
                };
                "referenceId": {
                    "description": string;
                    "type": string;
                };
                "reverseStrand": {
                    "type": string;
                    "description": string;
                };
                "referenceName": {
                    "description": string;
                    "type": string;
                };
                "type": {
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
                "info": {
                    "additionalProperties": {
                        "type": string;
                        "items": {
                            "type": string;
                        };
                    };
                    "description": string;
                    "type": string;
                };
                "end": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "Operation": {
            "description": string;
            "type": string;
            "properties": {
                "response": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "error": {
                    "description": string;
                    "$ref": string;
                };
                "metadata": {
                    "type": string;
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                };
                "done": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "RuntimeMetadata": {
            "properties": {
                "computeEngine": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
    };
    "icons": {
        "x16": string;
        "x32": string;
    };
    "protocol": string;
    "version": string;
    "baseUrl": string;
    "auth": {
        "oauth2": {
            "scopes": {
                "https://www.googleapis.com/auth/bigquery": {
                    "description": string;
                };
                "https://www.googleapis.com/auth/devstorage.read_write": {
                    "description": string;
                };
                "https://www.googleapis.com/auth/cloud-platform": {
                    "description": string;
                };
                "https://www.googleapis.com/auth/genomics.readonly": {
                    "description": string;
                };
                "https://www.googleapis.com/auth/genomics": {
                    "description": string;
                };
            };
        };
    };
};
export default _default;
//# sourceMappingURL=genomics-v1.d.ts.map