"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "rootUrl": "https://container.googleapis.com/", "ownerDomain": "google.com", "name": "container", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "title": "Kubernetes Engine API", "ownerName": "Google", "resources": { "projects": { "resources": { "zones": { "methods": { "getServerconfig": { "parameters": { "name": { "type": "string", "location": "query", "description": "The name (project and location) of the server config to get\nSpecified in the format 'projects/*/locations/*'." }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) to return operations for.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/serverconfig", "path": "v1beta1/projects/{projectId}/zones/{zone}/serverconfig", "id": "container.projects.zones.getServerconfig", "description": "Returns configuration info about the Kubernetes Engine service.", "response": { "$ref": "ServerConfig" }, "parameterOrder": ["projectId", "zone"], "httpMethod": "GET" } }, "resources": { "clusters": { "methods": { "resourceLabels": { "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field." } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/resourceLabels", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/resourceLabels", "id": "container.projects.zones.clusters.resourceLabels", "request": { "$ref": "SetLabelsRequest" }, "description": "Sets labels on a cluster." }, "create": { "description": "Creates a cluster, consisting of the specified number and type of Google\nCompute Engine instances.\n\nBy default, the cluster is created in the project's\n[default network](/compute/docs/networks-and-firewalls#networks).\n\nOne firewall is added for the cluster. After cluster creation,\nthe cluster creates routes for each node to allow the containers\non that node to communicate with all other instances in the\ncluster.\n\nFinally, an entry is added to the project's global metadata indicating\nwhich CIDR range is being used by the cluster.", "request": { "$ref": "CreateClusterRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone"], "httpMethod": "POST", "parameters": { "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string", "location": "path" }, "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters", "id": "container.projects.zones.clusters.create" }, "completeIpRotation": { "request": { "$ref": "CompleteIPRotationRequest" }, "description": "Completes master IP rotation.", "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:completeIpRotation", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:completeIpRotation", "id": "container.projects.zones.clusters.completeIpRotation" }, "get": { "httpMethod": "GET", "parameterOrder": ["projectId", "zone", "clusterId"], "response": { "$ref": "Cluster" }, "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to retrieve.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string", "location": "query" }, "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The name of the cluster to retrieve.\nThis field has been deprecated and replaced by the name field." } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "id": "container.projects.zones.clusters.get", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "description": "Gets the details for a specific cluster." }, "legacyAbac": { "description": "Enables or disables the ABAC authorization mechanism on a cluster.", "request": { "$ref": "SetLegacyAbacRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster to update.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/legacyAbac", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/legacyAbac", "id": "container.projects.zones.clusters.legacyAbac" }, "setNetworkPolicy": { "request": { "$ref": "SetNetworkPolicyRequest" }, "description": "Enables/Disables Network Policy for a cluster.", "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setNetworkPolicy", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setNetworkPolicy", "id": "container.projects.zones.clusters.setNetworkPolicy" }, "startIpRotation": { "request": { "$ref": "StartIPRotationRequest" }, "description": "Start master IP rotation.", "httpMethod": "POST", "parameterOrder": ["projectId", "zone", "clusterId"], "response": { "$ref": "Operation" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "clusterId": { "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:startIpRotation", "id": "container.projects.zones.clusters.startIpRotation", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:startIpRotation" }, "addons": { "description": "Sets the addons for a specific cluster.", "request": { "$ref": "SetAddonsConfigRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "zone": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field." }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/addons", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/addons", "id": "container.projects.zones.clusters.addons" }, "setMaintenancePolicy": { "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "parameters": { "projectId": { "location": "path", "description": "The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).", "required": true, "type": "string" }, "zone": { "location": "path", "description": "The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.", "required": true, "type": "string" }, "clusterId": { "description": "The name of the cluster to update.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMaintenancePolicy", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMaintenancePolicy", "id": "container.projects.zones.clusters.setMaintenancePolicy", "description": "Sets the maintenance policy for a cluster.", "request": { "$ref": "SetMaintenancePolicyRequest" } }, "delete": { "description": "Deletes the cluster, including the Kubernetes endpoint and all worker\nnodes.\n\nFirewalls and routes that were configured during cluster creation\nare also deleted.\n\nOther Google Compute Engine resources that might be in use by the cluster\n(e.g. load balancer resources) will not be deleted if they weren't present\nat the initial create time.", "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "DELETE", "parameters": { "name": { "location": "query", "description": "The name (project, location, cluster) of the cluster to delete.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "clusterId": { "description": "Deprecated. The name of the cluster to delete.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "id": "container.projects.zones.clusters.delete" }, "locations": { "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "parameters": { "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/locations", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/locations", "id": "container.projects.zones.clusters.locations", "description": "Sets the locations for a specific cluster.", "request": { "$ref": "SetLocationsRequest" } }, "update": { "request": { "$ref": "UpdateClusterRequest" }, "description": "Updates the settings for a specific cluster.", "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "PUT", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "id": "container.projects.zones.clusters.update" }, "monitoring": { "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "parameters": { "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/monitoring", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/monitoring", "id": "container.projects.zones.clusters.monitoring", "description": "Sets the monitoring service for a specific cluster.", "request": { "$ref": "SetMonitoringServiceRequest" } }, "master": { "id": "container.projects.zones.clusters.master", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/master", "description": "Updates the master for a specific cluster.", "request": { "$ref": "UpdateMasterRequest" }, "httpMethod": "POST", "parameterOrder": ["projectId", "zone", "clusterId"], "response": { "$ref": "Operation" }, "parameters": { "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field." } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/master" }, "setMasterAuth": { "request": { "$ref": "SetMasterAuthRequest" }, "description": "Used to set master auth materials. Currently supports :-\nChanging the admin password for a specific cluster.\nThis can be either via password generation or explicitly set.\nModify basic_auth.csv and reset the K8S API server.", "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMasterAuth", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMasterAuth", "id": "container.projects.zones.clusters.setMasterAuth" }, "logging": { "description": "Sets the logging service for a specific cluster.", "request": { "$ref": "SetLoggingServiceRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "parameters": { "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/logging", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/logging", "id": "container.projects.zones.clusters.logging" }, "list": { "response": { "$ref": "ListClustersResponse" }, "parameterOrder": ["projectId", "zone"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides, or \"-\" for all zones.\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string" }, "parent": { "location": "query", "description": "The parent (project and location) where the clusters will be listed.\nSpecified in the format 'projects/*/locations/*'.\nLocation \"-\" matches all zones and all regions.", "type": "string" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters", "id": "container.projects.zones.clusters.list", "description": "Lists all clusters owned by a project in either the specified zone or all\nzones." } }, "resources": { "nodePools": { "methods": { "setSize": { "httpMethod": "POST", "parameterOrder": ["projectId", "zone", "clusterId", "nodePoolId"], "response": { "$ref": "Operation" }, "parameters": { "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster to update.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "nodePoolId": { "location": "path", "description": "Deprecated. The name of the node pool to update.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setSize", "id": "container.projects.zones.clusters.nodePools.setSize", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setSize", "description": "Sets the size for a specific node pool.", "request": { "$ref": "SetNodePoolSizeRequest" } }, "setManagement": { "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId", "nodePoolId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field." }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to update.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "nodePoolId": { "location": "path", "description": "Deprecated. The name of the node pool to update.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setManagement", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setManagement", "id": "container.projects.zones.clusters.nodePools.setManagement", "request": { "$ref": "SetNodePoolManagementRequest" }, "description": "Sets the NodeManagement options for a node pool." }, "delete": { "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId", "nodePoolId"], "httpMethod": "DELETE", "parameters": { "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "nodePoolId": { "location": "path", "description": "Deprecated. The name of the node pool to delete.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "name": { "location": "query", "description": "The name (project, location, cluster, node pool id) of the node pool to\ndelete. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "id": "container.projects.zones.clusters.nodePools.delete", "description": "Deletes a node pool from a cluster." }, "list": { "id": "container.projects.zones.clusters.nodePools.list", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "description": "Lists the node pools for a cluster.", "httpMethod": "GET", "parameterOrder": ["projectId", "zone", "clusterId"], "response": { "$ref": "ListNodePoolsResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string", "location": "path" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string", "location": "path" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string" }, "parent": { "description": "The parent (project, location, cluster id) where the node pools will be\nlisted. Specified in the format 'projects/*/locations/*/clusters/*'.", "type": "string", "location": "query" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools" }, "rollback": { "id": "container.projects.zones.clusters.nodePools.rollback", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}:rollback", "description": "Roll back the previously Aborted or Failed NodePool upgrade.\nThis will be an no-op if the last upgrade successfully completed.", "request": { "$ref": "RollbackNodePoolUpgradeRequest" }, "httpMethod": "POST", "parameterOrder": ["projectId", "zone", "clusterId", "nodePoolId"], "response": { "$ref": "Operation" }, "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to rollback.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "nodePoolId": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The name of the node pool to rollback.\nThis field has been deprecated and replaced by the name field." } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}:rollback" }, "create": { "description": "Creates a node pool for a cluster.", "request": { "$ref": "CreateNodePoolRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId"], "httpMethod": "POST", "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string", "location": "path" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "id": "container.projects.zones.clusters.nodePools.create" }, "autoscaling": { "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId", "nodePoolId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "zone": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field." }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "nodePoolId": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The name of the node pool to upgrade.\nThis field has been deprecated and replaced by the name field." } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/autoscaling", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/autoscaling", "id": "container.projects.zones.clusters.nodePools.autoscaling", "request": { "$ref": "SetNodePoolAutoscalingRequest" }, "description": "Sets the autoscaling settings of a specific node pool." }, "get": { "response": { "$ref": "NodePool" }, "parameterOrder": ["projectId", "zone", "clusterId", "nodePoolId"], "httpMethod": "GET", "parameters": { "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "nodePoolId": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The name of the node pool.\nThis field has been deprecated and replaced by the name field." }, "name": { "type": "string", "location": "query", "description": "The name (project, location, cluster, node pool id) of the node pool to\nget. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'." } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "id": "container.projects.zones.clusters.nodePools.get", "description": "Retrieves the node pool requested." }, "update": { "description": "Updates the version and/or image type of a specific node pool.", "request": { "$ref": "UpdateNodePoolRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "clusterId", "nodePoolId"], "httpMethod": "POST", "parameters": { "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "nodePoolId": { "description": "Deprecated. The name of the node pool to upgrade.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/update", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/update", "id": "container.projects.zones.clusters.nodePools.update" } } } } }, "operations": { "methods": { "cancel": { "request": { "$ref": "CancelOperationRequest" }, "description": "Cancels the specified operation.", "response": { "$ref": "Empty" }, "parameterOrder": ["projectId", "zone", "operationId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "operationId": { "location": "path", "description": "Deprecated. The server-assigned `name` of the operation.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the operation resides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/operations/{operationId}:cancel", "path": "v1beta1/projects/{projectId}/zones/{zone}/operations/{operationId}:cancel", "id": "container.projects.zones.operations.cancel" }, "list": { "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": ["projectId", "zone"], "httpMethod": "GET", "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the parent field.", "required": true, "type": "string", "location": "path" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) to return operations for, or `-` for\nall zones. This field has been deprecated and replaced by the parent field.", "required": true, "type": "string" }, "parent": { "description": "The parent (project and location) where the operations will be listed.\nSpecified in the format 'projects/*/locations/*'.\nLocation \"-\" matches all zones and all regions.", "type": "string", "location": "query" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/operations", "path": "v1beta1/projects/{projectId}/zones/{zone}/operations", "id": "container.projects.zones.operations.list", "description": "Lists all operations in a project in a specific zone or all zones." }, "get": { "description": "Gets the specified operation.", "response": { "$ref": "Operation" }, "parameterOrder": ["projectId", "zone", "operationId"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "location": "query", "description": "The name (project, location, operation id) of the operation to get.\nSpecified in the format 'projects/*/locations/*/operations/*'.", "type": "string" }, "operationId": { "description": "Deprecated. The server-assigned `name` of the operation.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/operations/{operationId}", "path": "v1beta1/projects/{projectId}/zones/{zone}/operations/{operationId}", "id": "container.projects.zones.operations.get" } } } } }, "locations": { "methods": { "list": { "description": "Used to fetch locations that offer GKE.", "response": { "$ref": "ListLocationsResponse" }, "parameterOrder": ["parent"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "parent": { "pattern": "^projects/[^/]+$", "location": "path", "description": "Contains the name of the resource requested.\nSpecified in the format 'projects/*'.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations", "path": "v1beta1/{+parent}/locations", "id": "container.projects.locations.list" }, "getServerConfig": { "description": "Returns configuration info about the Kubernetes Engine service.", "httpMethod": "GET", "response": { "$ref": "ServerConfig" }, "parameterOrder": ["name"], "parameters": { "name": { "description": "The name (project and location) of the server config to get\nSpecified in the format 'projects/*/locations/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "projectId": { "location": "query", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) to return operations for.\nThis field has been deprecated and replaced by the name field.", "type": "string", "location": "query" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverConfig", "id": "container.projects.locations.getServerConfig", "path": "v1beta1/{+name}/serverConfig" } }, "resources": { "operations": { "methods": { "cancel": { "response": { "$ref": "Empty" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "description": "The name (project, location, operation id) of the operation to cancel.\nSpecified in the format 'projects/*/locations/*/operations/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "path": "v1beta1/{+name}:cancel", "id": "container.projects.locations.operations.cancel", "request": { "$ref": "CancelOperationRequest" }, "description": "Cancels the specified operation." }, "list": { "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": ["parent"], "httpMethod": "GET", "parameters": { "projectId": { "location": "query", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the parent field.", "type": "string" }, "zone": { "location": "query", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) to return operations for, or `-` for\nall zones. This field has been deprecated and replaced by the parent field.", "type": "string" }, "parent": { "location": "path", "description": "The parent (project and location) where the operations will be listed.\nSpecified in the format 'projects/*/locations/*'.\nLocation \"-\" matches all zones and all regions.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "path": "v1beta1/{+parent}/operations", "id": "container.projects.locations.operations.list", "description": "Lists all operations in a project in a specific zone or all zones." }, "get": { "httpMethod": "GET", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "parameters": { "zone": { "location": "query", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "description": "The name (project, location, operation id) of the operation to get.\nSpecified in the format 'projects/*/locations/*/operations/*'.", "required": true, "type": "string" }, "operationId": { "location": "query", "description": "Deprecated. The server-assigned `name` of the operation.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "location": "query", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "container.projects.locations.operations.get", "path": "v1beta1/{+name}", "description": "Gets the specified operation." } } }, "clusters": { "methods": { "update": { "httpMethod": "PUT", "parameterOrder": ["name"], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to update.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}", "id": "container.projects.locations.clusters.update", "path": "v1beta1/{+name}", "description": "Updates the settings for a specific cluster.", "request": { "$ref": "UpdateClusterRequest" } }, "setMasterAuth": { "description": "Used to set master auth materials. Currently supports :-\nChanging the admin password for a specific cluster.\nThis can be either via password generation or explicitly set.\nModify basic_auth.csv and reset the K8S API server.", "request": { "$ref": "SetMasterAuthRequest" }, "httpMethod": "POST", "parameterOrder": ["name"], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to set auth.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setMasterAuth", "id": "container.projects.locations.clusters.setMasterAuth", "path": "v1beta1/{+name}:setMasterAuth" }, "setLogging": { "httpMethod": "POST", "parameterOrder": ["name"], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to set logging.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setLogging", "id": "container.projects.locations.clusters.setLogging", "path": "v1beta1/{+name}:setLogging", "description": "Sets the logging service for a specific cluster.", "request": { "$ref": "SetLoggingServiceRequest" } }, "list": { "id": "container.projects.locations.clusters.list", "path": "v1beta1/{+parent}/clusters", "description": "Lists all clusters owned by a project in either the specified zone or all\nzones.", "httpMethod": "GET", "parameterOrder": ["parent"], "response": { "$ref": "ListClustersResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the parent field.", "type": "string", "location": "query" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides, or \"-\" for all zones.\nThis field has been deprecated and replaced by the parent field.", "type": "string", "location": "query" }, "parent": { "location": "path", "description": "The parent (project and location) where the clusters will be listed.\nSpecified in the format 'projects/*/locations/*'.\nLocation \"-\" matches all zones and all regions.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters" }, "create": { "httpMethod": "POST", "parameterOrder": ["parent"], "response": { "$ref": "Operation" }, "parameters": { "parent": { "description": "The parent (project and location) where the cluster will be created.\nSpecified in the format 'projects/*/locations/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters", "id": "container.projects.locations.clusters.create", "path": "v1beta1/{+parent}/clusters", "description": "Creates a cluster, consisting of the specified number and type of Google\nCompute Engine instances.\n\nBy default, the cluster is created in the project's\n[default network](/compute/docs/networks-and-firewalls#networks).\n\nOne firewall is added for the cluster. After cluster creation,\nthe cluster creates routes for each node to allow the containers\non that node to communicate with all other instances in the\ncluster.\n\nFinally, an entry is added to the project's global metadata indicating\nwhich CIDR range is being used by the cluster.", "request": { "$ref": "CreateClusterRequest" } }, "completeIpRotation": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "description": "The name (project, location, cluster id) of the cluster to complete IP\nrotation. Specified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:completeIpRotation", "path": "v1beta1/{+name}:completeIpRotation", "id": "container.projects.locations.clusters.completeIpRotation", "request": { "$ref": "CompleteIPRotationRequest" }, "description": "Completes master IP rotation." }, "get": { "httpMethod": "GET", "response": { "$ref": "Cluster" }, "parameterOrder": ["name"], "parameters": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "zone": { "location": "query", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "location": "query", "description": "Deprecated. The name of the cluster to retrieve.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster) of the cluster to retrieve.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}", "id": "container.projects.locations.clusters.get", "path": "v1beta1/{+name}", "description": "Gets the details for a specific cluster." }, "setNetworkPolicy": { "id": "container.projects.locations.clusters.setNetworkPolicy", "path": "v1beta1/{+name}:setNetworkPolicy", "description": "Enables/Disables Network Policy for a cluster.", "request": { "$ref": "SetNetworkPolicyRequest" }, "httpMethod": "POST", "parameterOrder": ["name"], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name (project, location, cluster id) of the cluster to set networking\npolicy. Specified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setNetworkPolicy" }, "setAddons": { "httpMethod": "POST", "parameterOrder": ["name"], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to set addons.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setAddons", "id": "container.projects.locations.clusters.setAddons", "path": "v1beta1/{+name}:setAddons", "description": "Sets the addons for a specific cluster.", "request": { "$ref": "SetAddonsConfigRequest" } }, "startIpRotation": { "request": { "$ref": "StartIPRotationRequest" }, "description": "Start master IP rotation.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "description": "The name (project, location, cluster id) of the cluster to start IP\nrotation. Specified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:startIpRotation", "path": "v1beta1/{+name}:startIpRotation", "id": "container.projects.locations.clusters.startIpRotation" }, "setMonitoring": { "description": "Sets the monitoring service for a specific cluster.", "request": { "$ref": "SetMonitoringServiceRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "description": "The name (project, location, cluster) of the cluster to set monitoring.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setMonitoring", "path": "v1beta1/{+name}:setMonitoring", "id": "container.projects.locations.clusters.setMonitoring" }, "setMaintenancePolicy": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "description": "The name (project, location, cluster id) of the cluster to set maintenance\npolicy.\nSpecified in the format 'projects/*/locations/*/clusters/*'." } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setMaintenancePolicy", "path": "v1beta1/{+name}:setMaintenancePolicy", "id": "container.projects.locations.clusters.setMaintenancePolicy", "description": "Sets the maintenance policy for a cluster.", "request": { "$ref": "SetMaintenancePolicyRequest" } }, "delete": { "description": "Deletes the cluster, including the Kubernetes endpoint and all worker\nnodes.\n\nFirewalls and routes that were configured during cluster creation\nare also deleted.\n\nOther Google Compute Engine resources that might be in use by the cluster\n(e.g. load balancer resources) will not be deleted if they weren't present\nat the initial create time.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "DELETE", "parameters": { "projectId": { "type": "string", "location": "query", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field." }, "zone": { "location": "query", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "type": "string", "location": "query", "description": "Deprecated. The name of the cluster to delete.\nThis field has been deprecated and replaced by the name field." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "description": "The name (project, location, cluster) of the cluster to delete.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}", "path": "v1beta1/{+name}", "id": "container.projects.locations.clusters.delete" }, "setLegacyAbac": { "path": "v1beta1/{+name}:setLegacyAbac", "id": "container.projects.locations.clusters.setLegacyAbac", "request": { "$ref": "SetLegacyAbacRequest" }, "description": "Enables or disables the ABAC authorization mechanism on a cluster.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "location": "path", "description": "The name (project, location, cluster id) of the cluster to set legacy abac.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setLegacyAbac" }, "setResourceLabels": { "request": { "$ref": "SetLabelsRequest" }, "description": "Sets labels on a cluster.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "description": "The name (project, location, cluster id) of the cluster to set labels.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setResourceLabels", "path": "v1beta1/{+name}:setResourceLabels", "id": "container.projects.locations.clusters.setResourceLabels" }, "updateMaster": { "request": { "$ref": "UpdateMasterRequest" }, "description": "Updates the master for a specific cluster.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "description": "The name (project, location, cluster) of the cluster to update.\nSpecified in the format 'projects/*/locations/*/clusters/*'." } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:updateMaster", "path": "v1beta1/{+name}:updateMaster", "id": "container.projects.locations.clusters.updateMaster" }, "setLocations": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to set locations.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setLocations", "path": "v1beta1/{+name}:setLocations", "id": "container.projects.locations.clusters.setLocations", "request": { "$ref": "SetLocationsRequest" }, "description": "Sets the locations for a specific cluster." } }, "resources": { "nodePools": { "methods": { "list": { "parameters": { "projectId": { "location": "query", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the parent field.", "type": "string" }, "zone": { "type": "string", "location": "query", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the parent field." }, "parent": { "description": "The parent (project, location, cluster id) where the node pools will be\nlisted. Specified in the format 'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" }, "clusterId": { "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the parent field.", "type": "string", "location": "query" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools", "id": "container.projects.locations.clusters.nodePools.list", "path": "v1beta1/{+parent}/nodePools", "description": "Lists the node pools for a cluster.", "httpMethod": "GET", "parameterOrder": ["parent"], "response": { "$ref": "ListNodePoolsResponse" } }, "rollback": { "description": "Roll back the previously Aborted or Failed NodePool upgrade.\nThis will be an no-op if the last upgrade successfully completed.", "request": { "$ref": "RollbackNodePoolUpgradeRequest" }, "httpMethod": "POST", "parameterOrder": ["name"], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name (project, location, cluster, node pool id) of the node poll to\nrollback upgrade.\nSpecified in the format 'projects/*/locations/*/clusters/*/nodePools/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:rollback", "id": "container.projects.locations.clusters.nodePools.rollback", "path": "v1beta1/{+name}:rollback" }, "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools", "path": "v1beta1/{+parent}/nodePools", "id": "container.projects.locations.clusters.nodePools.create", "request": { "$ref": "CreateNodePoolRequest" }, "description": "Creates a node pool for a cluster.", "response": { "$ref": "Operation" }, "parameterOrder": ["parent"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "parent": { "description": "The parent (project, location, cluster id) where the node pool will be\ncreated. Specified in the format\n'projects/*/locations/*/clusters/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } } }, "get": { "description": "Retrieves the node pool requested.", "response": { "$ref": "NodePool" }, "parameterOrder": ["name"], "httpMethod": "GET", "parameters": { "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to\nget. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "location": "path" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "zone": { "type": "string", "location": "query", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field." }, "clusterId": { "location": "query", "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "type": "string", "location": "query", "description": "Deprecated. The name of the node pool.\nThis field has been deprecated and replaced by the name field." } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}", "path": "v1beta1/{+name}", "id": "container.projects.locations.clusters.nodePools.get" }, "update": { "description": "Updates the version and/or image type of a specific node pool.", "request": { "$ref": "UpdateNodePoolRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "PUT", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "location": "path", "description": "The name (project, location, cluster, node pool) of the node pool to\nupdate. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}", "path": "v1beta1/{+name}", "id": "container.projects.locations.clusters.nodePools.update" }, "setAutoscaling": { "request": { "$ref": "SetNodePoolAutoscalingRequest" }, "description": "Sets the autoscaling settings of a specific node pool.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "location": "path", "description": "The name (project, location, cluster, node pool) of the node pool to set\nautoscaler settings. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:setAutoscaling", "path": "v1beta1/{+name}:setAutoscaling", "id": "container.projects.locations.clusters.nodePools.setAutoscaling" }, "setSize": { "description": "Sets the size for a specific node pool.", "request": { "$ref": "SetNodePoolSizeRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "parameters": { "name": { "location": "path", "description": "The name (project, location, cluster, node pool id) of the node pool to set\nsize.\nSpecified in the format 'projects/*/locations/*/clusters/*/nodePools/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:setSize", "path": "v1beta1/{+name}:setSize", "id": "container.projects.locations.clusters.nodePools.setSize" }, "setManagement": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to set\nmanagement properties. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:setManagement", "path": "v1beta1/{+name}:setManagement", "id": "container.projects.locations.clusters.nodePools.setManagement", "request": { "$ref": "SetNodePoolManagementRequest" }, "description": "Sets the NodeManagement options for a node pool." }, "delete": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "DELETE", "parameters": { "clusterId": { "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "nodePoolId": { "location": "query", "description": "Deprecated. The name of the node pool to delete.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to\ndelete. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "location": "path" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "zone": { "type": "string", "location": "query", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field." } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}", "path": "v1beta1/{+name}", "id": "container.projects.locations.clusters.nodePools.delete", "description": "Deletes a node pool from a cluster." } } } } } } }, "aggregated": { "resources": { "usableSubnetworks": { "methods": { "list": { "response": { "$ref": "ListUsableSubnetworksResponse" }, "parameterOrder": ["parent"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "filter": { "description": "Filtering currently only supports equality on the networkProjectId and must\nbe in the form: \"networkProjectId=[PROJECTID]\", where `networkProjectId`\nis the project which owns the listed subnetworks. This defaults to the\nparent project ID.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set this to the nextPageToken returned by\nprevious list requests to get the next page of results.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "The max number of results per page that should be returned. If the number\nof available results is larger than `page_size`, a `next_page_token` is\nreturned which can be used to get the next page of results in subsequent\nrequests. Acceptable values are 0 to 500, inclusive. (Default: 500)", "format": "int32" }, "parent": { "description": "The parent project where subnetworks are usable.\nSpecified in the format 'projects/*'.", "required": true, "type": "string", "pattern": "^projects/[^/]+$", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/aggregated/usableSubnetworks", "path": "v1beta1/{+parent}/aggregated/usableSubnetworks", "id": "container.projects.aggregated.usableSubnetworks.list", "description": "Lists subnetworks that are usable for creating clusters in a project." } } } } } } } }, "parameters": { "alt": { "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json", "enum": ["json", "media", "proto"], "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enumDescriptions": ["v1 error format", "v2 error format"], "location": "query", "enum": ["1", "2"] } }, "version": "v1beta1", "baseUrl": "https://container.googleapis.com/", "kind": "discovery#restDescription", "description": "Builds and manages container-based applications, powered by the open source Kubernetes technology.", "servicePath": "", "basePath": "", "revision": "20181113", "documentationLink": "https://cloud.google.com/container-engine/", "id": "container:v1beta1", "discoveryVersion": "v1", "version_module": true, "schemas": { "NodePool": { "id": "NodePool", "description": "NodePool contains the name and configuration for a cluster's node pool.\nNode pools are a set of nodes (i.e. VM's), with a common configuration and\nspecification, under the control of the cluster master. They may have a set\nof Kubernetes labels applied to them, which may be used to reference them\nduring pod scheduling. They may also be resized up or down, to accommodate\nthe workload.", "type": "object", "properties": { "statusMessage": { "description": "[Output only] Additional information about the current status of this\nnode pool instance, if available.", "type": "string" }, "autoscaling": { "description": "Autoscaler configuration for this NodePool. Autoscaler is enabled\nonly if a valid configuration is present.", "$ref": "NodePoolAutoscaling" }, "initialNodeCount": { "description": "The initial node count for the pool. You must ensure that your\nCompute Engine <a href=\"/compute/docs/resource-quotas\">resource quota</a>\nis sufficient for this number of instances. You must also have available\nfirewall and routes quota.", "format": "int32", "type": "integer" }, "selfLink": { "description": "[Output only] Server-defined URL for the resource.", "type": "string" }, "instanceGroupUrls": { "description": "[Output only] The resource URLs of the [managed instance\ngroups](/compute/docs/instance-groups/creating-groups-of-managed-instances)\nassociated with this node pool.", "type": "array", "items": { "type": "string" } }, "version": { "description": "The version of the Kubernetes of this node.", "type": "string" }, "conditions": { "description": "Which conditions caused the current node pool state.", "type": "array", "items": { "$ref": "StatusCondition" } }, "status": { "description": "[Output only] The status of the nodes in this pool instance.", "type": "string", "enumDescriptions": ["Not set.", "The PROVISIONING state indicates the node pool is being created.", "The RUNNING state indicates the node pool has been created\nand is fully usable.", "The RUNNING_WITH_ERROR state indicates the node pool has been created\nand is partially usable. Some error state has occurred and some\nfunctionality may be impaired. Customer may need to reissue a request\nor trigger a new update.", "The RECONCILING state indicates that some work is actively being done on\nthe node pool, such as upgrading node software. Details can\nbe found in the `statusMessage` field.", "The STOPPING state indicates the node pool is being deleted.", "The ERROR state indicates the node pool may be unusable. Details\ncan be found in the `statusMessage` field."], "enum": ["STATUS_UNSPECIFIED", "PROVISIONING", "RUNNING", "RUNNING_WITH_ERROR", "RECONCILING", "STOPPING", "ERROR"] }, "config": { "$ref": "NodeConfig", "description": "The node configuration of the pool." }, "maxPodsConstraint": { "$ref": "MaxPodsConstraint", "description": "The constraint on the maximum number of pods that can be run\nsimultaneously on a node in the node pool." }, "name": { "description": "The name of the node pool.", "type": "string" }, "management": { "$ref": "NodeManagement", "description": "NodeManagement configuration for this NodePool." } } }, "SetLabelsRequest": { "description": "SetLabelsRequest sets the Google Cloud Platform labels on a Google Container\nEngine cluster, which will in turn set them for Google Compute Engine\nresources used by that cluster", "type": "object", "properties": { "labelFingerprint": { "description": "The fingerprint of the previous set of labels for this resource,\nused to detect conflicts. The fingerprint is initially generated by\nKubernetes Engine and changes after every request to modify or update\nlabels. You must always provide an up-to-date fingerprint hash when\nupdating or changing labels. Make a <code>get()</code> request to the\nresource to get the latest fingerprint.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "type": "string", "description": "The name (project, location, cluster id) of the cluster to set labels.\nSpecified in the format 'projects/*/locations/*/clusters/*'." }, "resourceLabels": { "additionalProperties": { "type": "string" }, "description": "The labels to set for that cluster.", "type": "object" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "SetLabelsRequest" }, "ResourceUsageExportConfig": { "properties": { "enableNetworkEgressMetering": { "description": "Whether to enable network egress metering for this cluster. If enabled, a\ndaemonset will be created in the cluster to meter network egress traffic.", "type": "boolean" }, "bigqueryDestination": { "$ref": "BigQueryDestination", "description": "Configuration to use BigQuery as usage export destination." } }, "id": "ResourceUsageExportConfig", "description": "Configuration for exporting cluster resource usages.", "type": "object" }, "NodeManagement": { "description": "NodeManagement defines the set of node management services turned on for the\nnode pool.", "type": "object", "properties": { "autoUpgrade": { "description": "Whether the nodes will be automatically upgraded.", "type": "boolean" }, "autoRepair": { "description": "Whether the nodes will be automatically repaired.", "type": "boolean" }, "upgradeOptions": { "description": "Specifies the Auto Upgrade knobs for the node pool.", "$ref": "AutoUpgradeOptions" } }, "id": "NodeManagement" }, "CancelOperationRequest": { "description": "CancelOperationRequest cancels a single operation.", "type": "object", "properties": { "operationId": { "description": "Deprecated. The server-assigned `name` of the operation.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field." }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the operation resides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, operation id) of the operation to cancel.\nSpecified in the format 'projects/*/locations/*/operations/*'.", "type": "string" } }, "id": "CancelOperationRequest" }, "KubernetesDashboard": { "description": "Configuration for the Kubernetes Dashboard.", "type": "object", "properties": { "disabled": { "description": "Whether the Kubernetes Dashboard is enabled for this cluster.", "type": "boolean" } }, "id": "KubernetesDashboard" }, "Operation": { "description": "This operation resource represents operations that may have happened or are\nhappening on the cluster. All fields are output only.", "type": "object", "properties": { "location": { "description": "[Output only] The name of the Google Compute Engine\n[zone](/compute/docs/regions-zones/regions-zones#available) or\n[region](/compute/docs/regions-zones/regions-zones#available) in which\nthe cluster resides.", "type": "string" }, "endTime": { "description": "[Output only] The time the operation completed, in\n[RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "type": "string" }, "startTime": { "description": "[Output only] The time the operation started, in\n[RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "type": "string" }, "progress": { "$ref": "OperationProgress", "description": "[Output only] Progress information for an operation." }, "clusterConditions": { "description": "Which conditions caused the current cluster state.", "type": "array", "items": { "$ref": "StatusCondition" } }, "zone": { "description": "The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the operation\nis taking place.\nThis field is deprecated, use location instead.", "type": "string" }, "statusMessage": { "description": "If an error has occurred, a textual description of the error.", "type": "string" }, "selfLink": { "description": "Server-defined URL for the resource.", "type": "string" }, "targetLink": { "description": "Server-defined URL for the target of the operation.", "type": "string" }, "detail": { "description": "Detailed operation progress, if available.", "type": "string" }, "operationType": { "enumDescriptions": ["Not set.", "Cluster create.", "Cluster delete.", "A master upgrade.", "A node upgrade.", "Cluster repair.", "Cluster update.", "Node pool create.", "Node pool delete.", "Set node pool management.", "Automatic node pool repair.", "Automatic node upgrade.", "Set labels.", "Set/generate master auth materials", "Set node pool size.", "Updates network policy for a cluster.", "Set the maintenance policy."], "enum": ["TYPE_UNSPECIFIED", "CREATE_CLUSTER", "DELETE_CLUSTER", "UPGRADE_MASTER", "UPGRADE_NODES", "REPAIR_CLUSTER", "UPDATE_CLUSTER", "CREATE_NODE_POOL", "DELETE_NODE_POOL", "SET_NODE_POOL_MANAGEMENT", "AUTO_REPAIR_NODES", "AUTO_UPGRADE_NODES", "SET_LABELS", "SET_MASTER_AUTH", "SET_NODE_POOL_SIZE", "SET_NETWORK_POLICY", "SET_MAINTENANCE_POLICY"], "description": "The operation type.", "type": "string" }, "status": { "enumDescriptions": ["Not set.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed.", "The operation is aborting."], "enum": ["STATUS_UNSPECIFIED", "PENDING", "RUNNING", "DONE", "ABORTING"], "description": "The current status of the operation.", "type": "string" }, "name": { "description": "The server-assigned ID for the operation.", "type": "string" }, "nodepoolConditions": { "description": "Which conditions caused the current node pool state.", "type": "array", "items": { "$ref": "StatusCondition" } } }, "id": "Operation" }, "MaintenanceWindow": { "description": "MaintenanceWindow defines the maintenance window to be used for the cluster.", "type": "object", "properties": { "dailyMaintenanceWindow": { "$ref": "DailyMaintenanceWindow", "description": "DailyMaintenanceWindow specifies a daily maintenance operation window." } }, "id": "MaintenanceWindow" }, "RollbackNodePoolUpgradeRequest": { "description": "RollbackNodePoolUpgradeRequest rollbacks the previously Aborted or Failed\nNodePool upgrade. This will be an no-op if the last upgrade successfully\ncompleted.", "type": "object", "properties": { "name": { "description": "The name (project, location, cluster, node pool id) of the node poll to\nrollback upgrade.\nSpecified in the format 'projects/*/locations/*/clusters/*/nodePools/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to rollback.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "description": "Deprecated. The name of the node pool to rollback.\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "RollbackNodePoolUpgradeRequest" }, "NetworkPolicy": { "description": "Configuration options for the NetworkPolicy feature.\nhttps://kubernetes.io/docs/concepts/services-networking/networkpolicies/", "type": "object", "properties": { "enabled": { "description": "Whether network policy is enabled on the cluster.", "type": "boolean" }, "provider": { "description": "The selected network policy provider.", "type": "string", "enumDescriptions": ["Not set", "Tigera (Calico Felix)."], "enum": ["PROVIDER_UNSPECIFIED", "CALICO"] } }, "id": "NetworkPolicy" }, "CloudRunConfig": { "properties": { "disabled": { "description": "Whether Cloud Run addon is enabled for this cluster.", "type": "boolean" } }, "id": "CloudRunConfig", "description": "Configuration options for the Cloud Run feature.", "type": "object" }, "UpdateMasterRequest": { "description": "UpdateMasterRequest updates the master of the cluster.", "type": "object", "properties": { "name": { "description": "The name (project, location, cluster) of the cluster to update.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "masterVersion": { "description": "The Kubernetes version to change the master to.\n\nUsers may specify either explicit versions offered by\nKubernetes Engine or version aliases, which have the following behavior:\n\n- \"latest\": picks the highest valid Kubernetes version\n- \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version\n- \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version\n- \"1.X.Y-gke.N\": picks an explicit Kubernetes version\n- \"-\": picks the default Kubernetes version", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "UpdateMasterRequest" }, "StatusCondition": { "description": "StatusCondition describes why a cluster or a node pool has a certain status\n(e.g., ERROR or DEGRADED).", "type": "object", "properties": { "code": { "type": "string", "enumDescriptions": ["UNKNOWN indicates a generic condition.", "GCE_STOCKOUT indicates a Google Compute Engine stockout.", "GKE_SERVICE_ACCOUNT_DELETED indicates that the user deleted their robot\nservice account.", "Google Compute Engine quota was exceeded.", "Cluster state was manually changed by an SRE due to a system logic error.\nMore codes TBA"], "enum": ["UNKNOWN", "GCE_STOCKOUT", "GKE_SERVICE_ACCOUNT_DELETED", "GCE_QUOTA_EXCEEDED", "SET_BY_OPERATOR"], "description": "Machine-friendly representation of the condition" }, "message": { "description": "Human-friendly representation of the condition", "type": "string" } }, "id": "StatusCondition" }, "ListOperationsResponse": { "description": "ListOperationsResponse is the result of ListOperationsRequest.", "type": "object", "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations in the project in the specified zone." }, "missingZones": { "type": "array", "items": { "type": "string" }, "description": "If any zones are listed here, the list of operations returned\nmay be missing the operations from those zones." } }, "id": "ListOperationsResponse" }, "SetMonitoringServiceRequest": { "description": "SetMonitoringServiceRequest sets the monitoring service of a cluster.", "type": "object", "properties": { "monitoringService": { "description": "The monitoring service the cluster should use to write metrics.\nCurrently available options:\n\n* \"monitoring.googleapis.com\" - the Google Cloud Monitoring service\n* \"none\" - no metrics will be exported from the cluster", "type": "string" }, "name": { "description": "The name (project, location, cluster) of the cluster to set monitoring.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field." } }, "id": "SetMonitoringServiceRequest" }, "CidrBlock": { "description": "CidrBlock contains an optional name and one CIDR block.", "type": "object", "properties": { "displayName": { "description": "display_name is an optional field for users to identify CIDR blocks.", "type": "string" }, "cidrBlock": { "description": "cidr_block must be specified in CIDR notation.", "type": "string" } }, "id": "CidrBlock" }, "BinaryAuthorization": { "id": "BinaryAuthorization", "description": "Configuration for Binary Authorization.", "type": "object", "properties": { "enabled": { "description": "Enable Binary Authorization for this cluster. If enabled, all container\nimages will be validated by Google Binauthz.", "type": "boolean" } } }, "ServerConfig": { "properties": { "validMasterVersions": { "description": "List of valid master versions.", "type": "array", "items": { "type": "string" } }, "defaultClusterVersion": { "description": "Version of Kubernetes the service deploys by default.", "type": "string" }, "defaultImageType": { "description": "Default image type.", "type": "string" }, "validNodeVersions": { "description": "List of valid node upgrade target versions.", "type": "array", "items": { "type": "string" } }, "validImageTypes": { "description": "List of valid image types.", "type": "array", "items": { "type": "string" } } }, "id": "ServerConfig", "description": "Kubernetes Engine service configuration.", "type": "object" }, "NodeConfig": { "properties": { "taints": { "description": "List of kubernetes taints to be applied to each node.\n\nFor more information, including usage and the valid values, see:\nhttps://kubernetes.io/docs/concepts/configuration/taint-and-toleration/", "type": "array", "items": { "$ref": "NodeTaint" } }, "labels": { "additionalProperties": { "type": "string" }, "description": "The map of Kubernetes labels (key/value pairs) to be applied to each node.\nThese will added in addition to any default label(s) that\nKubernetes may apply to the node.\nIn case of conflict in label keys, the applied set may differ depending on\nthe Kubernetes version -- it's best to assume the behavior is undefined\nand conflicts should be avoided.\nFor more information, including usage and the valid values, see:\nhttps://kubernetes.io/docs/concepts/overview/working-with-objects/labels/", "type": "object" }, "diskSizeGb": { "description": "Size of the disk attached to each node, specified in GB.\nThe smallest allowed disk size is 10GB.\n\nIf unspecified, the default disk size is 100GB.", "format": "int32", "type": "integer" }, "workloadMetadataConfig": { "description": "The workload metadata configuration for this node.", "$ref": "WorkloadMetadataConfig" }, "accelerators": { "description": "A list of hardware accelerators to be attached to each node.\nSee https://cloud.google.com/compute/docs/gpus for more information about\nsupport for GPUs.", "type": "array", "items": { "$ref": "AcceleratorConfig" } }, "diskType": { "description": "Type of the disk attached to each node (e.g. 'pd-standard' or 'pd-ssd')\n\nIf unspecified, the default disk type is 'pd-standard'", "type": "string" }, "machineType": { "description": "The name of a Google Compute Engine [machine\ntype](/compute/docs/machine-types) (e.g.\n`n1-standard-1`).\n\nIf unspecified, the default machine type is\n`n1-standard-1`.", "type": "string" }, "minCpuPlatform": { "description": "Minimum CPU platform to be used by this instance. The instance may be\nscheduled on the specified or newer CPU platform. Applicable values are the\nfriendly names of CPU platforms, such as\n<code>minCpuPlatform: &quot;Intel Haswell&quot;</code> or\n<code>minCpuPlatform: &quot;Intel Sandy Bridge&quot;</code>. For more\ninformation, read [how to specify min CPU\nplatform](https://cloud.google.com/compute/docs/instances/specify-min-cpu-platform)", "type": "string" }, "preemptible": { "description": "Whether the nodes are created as preemptible VM instances. See:\nhttps://cloud.google.com/compute/docs/instances/preemptible for more\ninforamtion about preemptible VM instances.", "type": "boolean" }, "localSsdCount": { "description": "The number of local SSD disks to be attached to the node.\n\nThe limit for this value is dependant upon the maximum number of\ndisks available on a machine per zone. See:\nhttps://cloud.google.com/compute/docs/disks/local-ssd#local_ssd_limits\nfor more information.", "format": "int32", "type": "integer" }, "metadata": { "additionalProperties": { "type": "string" }, "description": "The metadata key/value pairs assigned to instances in the cluster.\n\nKeys must conform to the regexp [a-zA-Z0-9-_]+ and be less than 128 bytes\nin length. These are reflected as part of a URL in the metadata server.\nAdditionally, to avoid ambiguity, keys must not conflict with any other\nmetadata keys for the project or be one of the reserved keys:\n \"cluster-location\"\n \"cluster-name\"\n \"cluster-uid\"\n \"configure-sh\"\n \"enable-oslogin\"\n \"gci-ensure-gke-docker\"\n \"gci-update-strategy\"\n \"instance-template\"\n \"kube-env\"\n \"startup-script\"\n \"user-data\"\n\nValues are free-form strings, and only have meaning as interpreted by\nthe image running in the instance. The only restriction placed on them is\nthat each value's size must be less than or equal to 32 KB.\n\nThe total size of all keys and values must be less than 512 KB.", "type": "object" }, "tags": { "description": "The list of instance tags applied to all nodes. Tags are used to identify\nvalid sources or targets for network firewalls and are specified by\nthe client during cluster or node pool creation. Each tag within the list\nmust comply with RFC1035.", "type": "array", "items": { "type": "string" } }, "serviceAccount": { "description": "The Google Cloud Platform Service Account to be used by the node VMs. If\nno Service Account is specified, the \"default\" service account is used.", "type": "string" }, "imageType": { "description": "The image type to use for this node. Note that for a given image type,\nthe latest version of it will be used.", "type": "string" }, "oauthScopes": { "description": "The set of Google API scopes to be made available on all of the\nnode VMs under the \"default\" service account.\n\nThe following scopes are recommended, but not required, and by default are\nnot included:\n\n* `https://www.googleapis.com/auth/compute` is required for mounting\npersistent storage on your nodes.\n* `https://www.googleapis.com/auth/devstorage.read_only` is required for\ncommunicating with **gcr.io**\n(the [Google Container Registry](/container-registry/)).\n\nIf unspecified, no scopes are added, unless Cloud Logging or Cloud\nMonitoring are enabled, in which case their required scopes will be added.", "type": "array", "items": { "type": "string" } } }, "id": "NodeConfig", "description": "Parameters that describe the nodes in a cluster.", "type": "object" }, "AutoUpgradeOptions": { "description": "AutoUpgradeOptions defines the set of options for the user to control how\nthe Auto Upgrades will proceed.", "type": "object", "properties": { "description": { "description": "[Output only] This field is set when upgrades are about to commence\nwith the description of the upgrade.", "type": "string" }, "autoUpgradeStartTime": { "type": "string", "description": "[Output only] This field is set when upgrades are about to commence\nwith the approximate start time for the upgrades, in\n[RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." } }, "id": "AutoUpgradeOptions" }, "UsableSubnetwork": { "description": "UsableSubnetwork resource returns the subnetwork name, its associated network\nand the primary CIDR range.", "type": "object", "properties": { "subnetwork": { "description": "Subnetwork Name.\nExample: projects/my-project/regions/us-central1/subnetworks/my-subnet", "type": "string" }, "network": { "type": "string", "description": "Network Name.\nExample: projects/my-project/global/networks/my-network" }, "statusMessage": { "description": "A human readable status message representing the reasons for cases where\nthe caller cannot use the secondary ranges under the subnet. For example if\nthe secondary_ip_ranges is empty due to a permission issue, an insufficient\npermission message will be given by status_message.", "type": "string" }, "secondaryIpRanges": { "description": "Secondary IP ranges.", "type": "array", "items": { "$ref": "UsableSubnetworkSecondaryRange" } }, "ipCidrRange": { "description": "The range of internal addresses that are owned by this subnetwork.", "type": "string" } }, "id": "UsableSubnetwork" }, "ListClustersResponse": { "properties": { "clusters": { "description": "A list of clusters in the project in the specified zone, or\nacross all ones.", "type": "array", "items": { "$ref": "Cluster" } }, "missingZones": { "description": "If any zones are listed here, the list of clusters returned\nmay be missing those zones.", "type": "array", "items": { "type": "string" } } }, "id": "ListClustersResponse", "description": "ListClustersResponse is the result of ListClustersRequest.", "type": "object" }, "PodSecurityPolicyConfig": { "description": "Configuration for the PodSecurityPolicy feature.", "type": "object", "properties": { "enabled": { "description": "Enable the PodSecurityPolicy controller for this cluster. If enabled, pods\nmust be valid under a PodSecurityPolicy to be created.", "type": "boolean" } }, "id": "PodSecurityPolicyConfig" }, "HttpLoadBalancing": { "description": "Configuration options for the HTTP (L7) load balancing controller addon,\nwhich makes it easy to set up HTTP load balancers for services in a cluster.", "type": "object", "properties": { "disabled": { "description": "Whether the HTTP Load Balancing controller is enabled in the cluster.\nWhen enabled, it runs a small pod in the cluster that manages the load\nbalancers.", "type": "boolean" } }, "id": "HttpLoadBalancing" }, "SetNetworkPolicyRequest": { "description": "SetNetworkPolicyRequest enables/disables network policy for a cluster.", "type": "object", "properties": { "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "networkPolicy": { "description": "Configuration options for the NetworkPolicy feature.", "$ref": "NetworkPolicy" }, "name": { "description": "The name (project, location, cluster id) of the cluster to set networking\npolicy. Specified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "SetNetworkPolicyRequest" }, "SetMasterAuthRequest": { "id": "SetMasterAuthRequest", "description": "SetMasterAuthRequest updates the admin password of a cluster.", "type": "object", "properties": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "update": { "$ref": "MasterAuth", "description": "A description of the update." }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster) of the cluster to set auth.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "action": { "description": "The exact form of action to be taken on the master auth.", "type": "string", "enumDescriptions": ["Operation is unknown and will error out.", "Set the password to a user generated value.", "Generate a new password and set it to that.", "Set the username.  If an empty username is provided, basic authentication\nis disabled for the cluster.  If a non-empty username is provided, basic\nauthentication is enabled, with either a provided password or a generated\none."], "enum": ["UNKNOWN", "SET_PASSWORD", "GENERATE_PASSWORD", "SET_USERNAME"] } } }, "NodePoolAutoscaling": { "description": "NodePoolAutoscaling contains information required by cluster autoscaler to\nadjust the size of the node pool to the current cluster usage.", "type": "object", "properties": { "enabled": { "description": "Is autoscaling enabled for this node pool.", "type": "boolean" }, "maxNodeCount": { "description": "Maximum number of nodes in the NodePool. Must be >= min_node_count. There\nhas to enough quota to scale up the cluster.", "format": "int32", "type": "integer" }, "minNodeCount": { "description": "Minimum number of nodes in the NodePool. Must be >= 1 and <=\nmax_node_count.", "format": "int32", "type": "integer" }, "autoprovisioned": { "description": "Can this node pool be deleted automatically.", "type": "boolean" } }, "id": "NodePoolAutoscaling" }, "IPAllocationPolicy": { "description": "Configuration for controlling how IPs are allocated in the cluster.", "type": "object", "properties": { "subnetworkName": { "description": "A custom subnetwork name to be used if `create_subnetwork` is true.  If\nthis field is empty, then an automatic name will be chosen for the new\nsubnetwork.", "type": "string" }, "clusterIpv4Cidr": { "description": "This field is deprecated, use cluster_ipv4_cidr_block.", "type": "string" }, "servicesIpv4Cidr": { "description": "This field is deprecated, use services_ipv4_cidr_block.", "type": "string" }, "servicesIpv4CidrBlock": { "description": "The IP address range of the services IPs in this cluster. If blank, a range\nwill be automatically chosen with the default size.\n\nThis field is only applicable when `use_ip_aliases` is true.\n\nSet to blank to have a range chosen with the default size.\n\nSet to /netmask (e.g. `/14`) to have a range chosen with a specific\nnetmask.\n\nSet to a\n[CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)\nnotation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g.\n`10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range\nto use.", "type": "string" }, "allowRouteOverlap": { "type": "boolean", "description": "If true, allow allocation of cluster CIDR ranges that overlap with certain\nkinds of network routes. By default we do not allow cluster CIDR ranges to\nintersect with any user declared routes. With allow_route_overlap == true,\nwe allow overlapping with CIDR ranges that are larger than the cluster CIDR\nrange.\n\nIf this field is set to true, then cluster and services CIDRs must be\nfully-specified (e.g. `10.96.0.0/14`, but not `/14`), which means:\n1) When `use_ip_aliases` is true, `cluster_ipv4_cidr_block` and\n   `services_ipv4_cidr_block` must be fully-specified.\n2) When `use_ip_aliases` is false, `cluster.cluster_ipv4_cidr` muse be\n   fully-specified." }, "nodeIpv4Cidr": { "description": "This field is deprecated, use node_ipv4_cidr_block.", "type": "string" }, "clusterIpv4CidrBlock": { "description": "The IP address range for the cluster pod IPs. If this field is set, then\n`cluster.cluster_ipv4_cidr` must be left blank.\n\nThis field is only applicable when `use_ip_aliases` is true.\n\nSet to blank to have a range chosen with the default size.\n\nSet to /netmask (e.g. `/14`) to have a range chosen with a specific\nnetmask.\n\nSet to a\n[CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)\nnotation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g.\n`10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range\nto use.", "type": "string" }, "clusterSecondaryRangeName": { "description": "The name of the secondary range to be used for the cluster CIDR\nblock.  The secondary range will be used for pod IP\naddresses. This must be an existing secondary range associated\nwith the cluster subnetwork.\n\nThis field is only applicable with use_ip_aliases and\ncreate_subnetwork is false.", "type": "string" }, "nodeIpv4CidrBlock": { "description": "The IP address range of the instance IPs in this cluster.\n\nThis is applicable only if `create_subnetwork` is true.\n\nSet to blank to have a range chosen with the default size.\n\nSet to /netmask (e.g. `/14`) to have a range chosen with a specific\nnetmask.\n\nSet to a\n[CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)\nnotation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g.\n`10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range\nto use.", "type": "string" }, "tpuIpv4CidrBlock": { "description": "The IP address range of the Cloud TPUs in this cluster. If unspecified, a\nrange will be automatically chosen with the default size.\n\nThis field is only applicable when `use_ip_aliases` is true.\n\nIf unspecified, the range will use the default size.\n\nSet to /netmask (e.g. `/14`) to have a range chosen with a specific\nnetmask.\n\nSet to a\n[CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)\nnotation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g.\n`10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range\nto use.", "type": "string" }, "createSubnetwork": { "description": "Whether a new subnetwork will be created automatically for the cluster.\n\nThis field is only applicable when `use_ip_aliases` is true.", "type": "boolean" }, "useIpAliases": { "description": "Whether alias IPs will be used for pod IPs in the cluster.", "type": "boolean" }, "servicesSecondaryRangeName": { "description": "The name of the secondary range to be used as for the services\nCIDR block.  The secondary range will be used for service\nClusterIPs. This must be an existing secondary range associated\nwith the cluster subnetwork.\n\nThis field is only applicable with use_ip_aliases and\ncreate_subnetwork is false.", "type": "string" } }, "id": "IPAllocationPolicy" }, "ClusterUpdate": { "type": "object", "properties": { "desiredResourceUsageExportConfig": { "description": "The desired configuration for exporting resource usage.", "$ref": "ResourceUsageExportConfig" }, "desiredLocations": { "description": "The desired list of Google Compute Engine\n[zones](/compute/docs/zones#available) in which the cluster's nodes\nshould be located. Changing the locations a cluster is in will result\nin nodes being either created or removed from the cluster, depending on\nwhether locations are being added or removed.\n\nThis list must always include the cluster's primary zone.", "type": "array", "items": { "type": "string" } }, "desiredNodePoolAutoscaling": { "description": "Autoscaler configuration for the node pool specified in\ndesired_node_pool_id. If there is only one pool in the\ncluster and desired_node_pool_id is not provided then\nthe change applies to that single node pool.", "$ref": "NodePoolAutoscaling" }, "desiredMonitoringService": { "description": "The monitoring service the cluster should use to write metrics.\nCurrently available options:\n\n* \"monitoring.googleapis.com/kubernetes\" - the Google Cloud Monitoring\nservice with Kubernetes-native resource model in Stackdriver\n* \"monitoring.googleapis.com\" - the Google Cloud Monitoring service\n* \"none\" - no metrics will be exported from the cluster", "type": "string" }, "desiredImageType": { "description": "The desired image type for the node pool.\nNOTE: Set the \"desired_node_pool\" field as well.", "type": "string" }, "desiredNodePoolId": { "description": "The node pool to be upgraded. This field is mandatory if\n\"desired_node_version\", \"desired_image_family\" or\n\"desired_node_pool_autoscaling\" is specified and there is more than one\nnode pool on the cluster.", "type": "string" }, "desiredMasterVersion": { "description": "The Kubernetes version to change the master to. The only valid value is the\nlatest supported version.\n\nUsers may specify either explicit versions offered by\nKubernetes Engine or version aliases, which have the following behavior:\n\n- \"latest\": picks the highest valid Kubernetes version\n- \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version\n- \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version\n- \"1.X.Y-gke.N\": picks an explicit Kubernetes version\n- \"-\": picks the default Kubernetes version", "type": "string" }, "desiredLoggingService": { "description": "The logging service the cluster should use to write metrics.\nCurrently available options:\n\n* \"logging.googleapis.com/kubernetes\" - the Google Cloud Logging\nservice with Kubernetes-native resource model in Stackdriver\n* \"logging.googleapis.com\" - the Google Cloud Logging service\n* \"none\" - no logs will be exported from the cluster", "type": "string" }, "desiredVerticalPodAutoscaling": { "$ref": "VerticalPodAutoscaling", "description": "Cluster-level Vertical Pod Autoscaling configuration." }, "desiredBinaryAuthorization": { "$ref": "BinaryAuthorization", "description": "The desired configuration options for the Binary Authorization feature." }, "desiredAddonsConfig": { "$ref": "AddonsConfig", "description": "Configurations for the various addons available to run in the cluster." }, "desiredNodeVersion": { "description": "The Kubernetes version to change the nodes to (typically an\nupgrade).\n\nUsers may specify either explicit versions offered by\nKubernetes Engine or version aliases, which have the following behavior:\n\n- \"latest\": picks the highest valid Kubernetes version\n- \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version\n- \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version\n- \"1.X.Y-gke.N\": picks an explicit Kubernetes version\n- \"-\": picks the Kubernetes master version", "type": "string" }, "desiredPodSecurityPolicyConfig": { "description": "The desired configuration options for the PodSecurityPolicy feature.", "$ref": "PodSecurityPolicyConfig" }, "desiredClusterAutoscaling": { "description": "Cluster-level autoscaling configuration.", "$ref": "ClusterAutoscaling" }, "desiredMasterAuthorizedNetworksConfig": { "description": "The desired configuration options for master authorized networks feature.", "$ref": "MasterAuthorizedNetworksConfig" } }, "id": "ClusterUpdate", "description": "ClusterUpdate describes an update to the cluster. Exactly one update can\nbe applied to a cluster with each request, so at most one field can be\nprovided." }, "HorizontalPodAutoscaling": { "id": "HorizontalPodAutoscaling", "description": "Configuration options for the horizontal pod autoscaling feature, which\nincreases or decreases the number of replica pods a replication controller\nhas based on the resource usage of the existing pods.", "type": "object", "properties": { "disabled": { "description": "Whether the Horizontal Pod Autoscaling feature is enabled in the cluster.\nWhen enabled, it ensures that a Heapster pod is running in the cluster,\nwhich is also used by the Cloud Monitoring service.", "type": "boolean" } } }, "SetNodePoolManagementRequest": { "description": "SetNodePoolManagementRequest sets the node management properties of a node\npool.", "type": "object", "properties": { "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to set\nmanagement properties. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "management": { "$ref": "NodeManagement", "description": "NodeManagement configuration for the node pool." }, "clusterId": { "description": "Deprecated. The name of the cluster to update.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "description": "Deprecated. The name of the node pool to update.\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "SetNodePoolManagementRequest" }, "MasterAuthorizedNetworksConfig": { "description": "Configuration options for the master authorized networks feature. Enabled\nmaster authorized networks will disallow all external traffic to access\nKubernetes master through HTTPS except traffic from the given CIDR blocks,\nGoogle Compute Engine Public IPs and Google Prod IPs.", "type": "object", "properties": { "enabled": { "description": "Whether or not master authorized networks is enabled.", "type": "boolean" }, "cidrBlocks": { "description": "cidr_blocks define up to 10 external networks that could access\nKubernetes master through HTTPS.", "type": "array", "items": { "$ref": "CidrBlock" } } }, "id": "MasterAuthorizedNetworksConfig" }, "SetNodePoolAutoscalingRequest": { "properties": { "name": { "description": "The name (project, location, cluster, node pool) of the node pool to set\nautoscaler settings. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'.", "type": "string" }, "autoscaling": { "$ref": "NodePoolAutoscaling", "description": "Autoscaling configuration for the node pool." }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "description": "Deprecated. The name of the node pool to upgrade.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "SetNodePoolAutoscalingRequest", "description": "SetNodePoolAutoscalingRequest sets the autoscaler settings of a node pool.", "type": "object" }, "CreateClusterRequest": { "description": "CreateClusterRequest creates a cluster.", "type": "object", "properties": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the parent field.", "type": "string" }, "cluster": { "description": "A [cluster\nresource](/container-engine/reference/rest/v1beta1/projects.zones.clusters)", "$ref": "Cluster" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the parent field.", "type": "string" }, "parent": { "description": "The parent (project and location) where the cluster will be created.\nSpecified in the format 'projects/*/locations/*'.", "type": "string" } }, "id": "CreateClusterRequest" }, "Location": { "description": "Location returns the location name, and if the location is recommended\nfor GKE cluster scheduling.", "type": "object", "properties": { "name": { "type": "string", "description": "Contains the name of the resource requested.\nSpecified in the format 'projects/*/locations/*'." }, "recommended": { "description": "Whether the location is recomended for GKE cluster scheduling.", "type": "boolean" }, "type": { "enum": ["LOCATION_TYPE_UNSPECIFIED", "ZONE", "REGION"], "description": "Contains the type of location this Location is for.\nRegional or Zonal.", "type": "string", "enumDescriptions": ["LOCATION_TYPE_UNSPECIFIED means the location type was not determined.", "A GKE Location where Zonal clusters can be created.", "A GKE Location where Regional clusters can be created."] } }, "id": "Location" }, "MaxPodsConstraint": { "type": "object", "properties": { "maxPodsPerNode": { "description": "Constraint enforced on the max num of pods per node.", "format": "int64", "type": "string" } }, "id": "MaxPodsConstraint", "description": "Constraints applied to pods." }, "PrivateClusterConfig": { "description": "Configuration options for private clusters.", "type": "object", "properties": { "privateEndpoint": { "description": "Output only. The internal IP address of this cluster's master endpoint.", "type": "string" }, "enablePrivateNodes": { "description": "Whether nodes have internal IP addresses only. If enabled, all nodes are\ngiven only RFC 1918 private addresses and communicate with the master via\nprivate networking.", "type": "boolean" }, "enablePrivateEndpoint": { "description": "Whether the master's internal IP address is used as the cluster endpoint.", "type": "boolean" }, "masterIpv4CidrBlock": { "type": "string", "description": "The IP range in CIDR notation to use for the hosted master network. This\nrange will be used for assigning internal IP addresses to the master or\nset of masters, as well as the ILB VIP. This range must not overlap with\nany other ranges in use within the cluster's network." }, "publicEndpoint": { "description": "Output only. The external IP address of this cluster's master endpoint.", "type": "string" } }, "id": "PrivateClusterConfig" }, "UpdateNodePoolRequest": { "type": "object", "properties": { "name": { "description": "The name (project, location, cluster, node pool) of the node pool to\nupdate. Specified in the format\n'projects/*/locations/*/clusters/*/nodePools/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "description": "Deprecated. The name of the node pool to upgrade.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "imageType": { "description": "The desired image type for the node pool.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "nodeVersion": { "description": "The Kubernetes version to change the nodes to (typically an\nupgrade).\n\nUsers may specify either explicit versions offered by Kubernetes Engine or\nversion aliases, which have the following behavior:\n\n- \"latest\": picks the highest valid Kubernetes version\n- \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version\n- \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version\n- \"1.X.Y-gke.N\": picks an explicit Kubernetes version\n- \"-\": picks the Kubernetes master version", "type": "string" } }, "id": "UpdateNodePoolRequest", "description": "SetNodePoolVersionRequest updates the version of a node pool." }, "AcceleratorConfig": { "properties": { "acceleratorCount": { "description": "The number of the accelerator cards exposed to an instance.", "format": "int64", "type": "string" }, "acceleratorType": { "description": "The accelerator type resource name. List of supported accelerators\n[here](/compute/docs/gpus/#Introduction)", "type": "string" } }, "id": "AcceleratorConfig", "description": "AcceleratorConfig represents a Hardware Accelerator request.", "type": "object" }, "LegacyAbac": { "description": "Configuration for the legacy Attribute Based Access Control authorization\nmode.", "type": "object", "properties": { "enabled": { "description": "Whether the ABAC authorizer is enabled for this cluster. When enabled,\nidentities in the system, including service accounts, nodes, and\ncontrollers, will have statically granted permissions beyond those\nprovided by the RBAC configuration or IAM.", "type": "boolean" } }, "id": "LegacyAbac" }, "SetAddonsConfigRequest": { "description": "SetAddonsRequest sets the addons associated with the cluster.", "type": "object", "properties": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "addonsConfig": { "$ref": "AddonsConfig", "description": "The desired configurations for the various addons available to run in the\ncluster." }, "name": { "description": "The name (project, location, cluster) of the cluster to set addons.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" } }, "id": "SetAddonsConfigRequest" }, "UsableSubnetworkSecondaryRange": { "description": "Secondary IP range of a usable subnetwork.", "type": "object", "properties": { "ipCidrRange": { "description": "The range of IP addresses belonging to this subnetwork secondary range.", "type": "string" }, "rangeName": { "description": "The name associated with this subnetwork secondary range, used when adding\nan alias IP range to a VM instance.", "type": "string" }, "status": { "enumDescriptions": ["UNKNOWN is the zero value of the Status enum. It's not a valid status.", "UNUSED denotes that this range is unclaimed by any cluster.", "IN_USE_SERVICE denotes that this range is claimed by a cluster for\nservices. It cannot be used for other clusters.", "IN_USE_SHAREABLE_POD denotes this range was created by the network admin\nand is currently claimed by a cluster for pods. It can only be used by\nother clusters as a pod range.", "IN_USE_MANAGED_POD denotes this range was created by GKE and is claimed\nfor pods. It cannot be used for other clusters."], "enum": ["UNKNOWN", "UNUSED", "IN_USE_SERVICE", "IN_USE_SHAREABLE_POD", "IN_USE_MANAGED_POD"], "description": "This field is to determine the status of the secondary range programmably.", "type": "string" } }, "id": "UsableSubnetworkSecondaryRange" }, "NodeTaint": { "description": "Kubernetes taint is comprised of three fields: key, value, and effect. Effect\ncan only be one of three types:  NoSchedule, PreferNoSchedule or NoExecute.\n\nFor more information, including usage and the valid values, see:\nhttps://kubernetes.io/docs/concepts/configuration/taint-and-toleration/", "type": "object", "properties": { "value": { "description": "Value for taint.", "type": "string" }, "effect": { "enumDescriptions": ["Not set", "NoSchedule", "PreferNoSchedule", "NoExecute"], "enum": ["EFFECT_UNSPECIFIED", "NO_SCHEDULE", "PREFER_NO_SCHEDULE", "NO_EXECUTE"], "description": "Effect for taint.", "type": "string" }, "key": { "description": "Key for taint.", "type": "string" } }, "id": "NodeTaint" }, "SetLegacyAbacRequest": { "description": "SetLegacyAbacRequest enables or disables the ABAC authorization mechanism for\na cluster.", "type": "object", "properties": { "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Deprecated. The name of the cluster to update.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster id) of the cluster to set legacy abac.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "enabled": { "description": "Whether ABAC authorization will be enabled in the cluster.", "type": "boolean" }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field." } }, "id": "SetLegacyAbacRequest" }, "AddonsConfig": { "description": "Configuration for the addons that can be automatically spun up in the\ncluster, enabling additional functionality.", "type": "object", "properties": { "networkPolicyConfig": { "$ref": "NetworkPolicyConfig", "description": "Configuration for NetworkPolicy. This only tracks whether the addon\nis enabled or not on the Master, it does not track whether network policy\nis enabled for the nodes." }, "cloudRunConfig": { "$ref": "CloudRunConfig", "description": "Configuration for the Cloud Run addon. The `IstioConfig` addon must be\nenabled in order to enable Cloud Run addon. This option can only be enabled\nat cluster creation time." }, "horizontalPodAutoscaling": { "$ref": "HorizontalPodAutoscaling", "description": "Configuration for the horizontal pod autoscaling feature, which\nincreases or decreases the number of replica pods a replication controller\nhas based on the resource usage of the existing pods." }, "httpLoadBalancing": { "$ref": "HttpLoadBalancing", "description": "Configuration for the HTTP (L7) load balancing controller addon, which\nmakes it easy to set up HTTP load balancers for services in a cluster." }, "kubernetesDashboard": { "$ref": "KubernetesDashboard", "description": "Configuration for the Kubernetes Dashboard." }, "istioConfig": { "$ref": "IstioConfig", "description": "Configuration for Istio, an open platform to connect, manage, and secure\nmicroservices." } }, "id": "AddonsConfig" }, "NetworkConfig": { "id": "NetworkConfig", "description": "NetworkConfig reports the relative names of network & subnetwork.", "type": "object", "properties": { "subnetwork": { "description": "Output only. The relative name of the Google Compute Engine\n[subnetwork](/compute/docs/vpc) to which the cluster is connected.\nExample: projects/my-project/regions/us-central1/subnetworks/my-subnet", "type": "string" }, "network": { "description": "Output only. The relative name of the Google Compute Engine\nnetwork(/compute/docs/networks-and-firewalls#networks) to which\nthe cluster is connected.\nExample: projects/my-project/global/networks/my-network", "type": "string" } } }, "SetLocationsRequest": { "type": "object", "properties": { "name": { "description": "The name (project, location, cluster) of the cluster to set locations.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field." }, "locations": { "description": "The desired list of Google Compute Engine\n[zones](/compute/docs/zones#available) in which the cluster's nodes\nshould be located. Changing the locations a cluster is in will result\nin nodes being either created or removed from the cluster, depending on\nwhether locations are being added or removed.\n\nThis list must always include the cluster's primary zone.", "type": "array", "items": { "type": "string" } }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "SetLocationsRequest", "description": "SetLocationsRequest sets the locations of the cluster." }, "SetNodePoolSizeRequest": { "description": "SetNodePoolSizeRequest sets the size a node\npool.", "type": "object", "properties": { "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Deprecated. The name of the cluster to update.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "description": "Deprecated. The name of the node pool to update.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "nodeCount": { "description": "The desired node count for the pool.", "format": "int32", "type": "integer" }, "name": { "type": "string", "description": "The name (project, location, cluster, node pool id) of the node pool to set\nsize.\nSpecified in the format 'projects/*/locations/*/clusters/*/nodePools/*'." } }, "id": "SetNodePoolSizeRequest" }, "UpdateClusterRequest": { "description": "UpdateClusterRequest updates the settings of a cluster.", "type": "object", "properties": { "update": { "description": "A description of the update.", "$ref": "ClusterUpdate" }, "name": { "description": "The name (project, location, cluster) of the cluster to update.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field." } }, "id": "UpdateClusterRequest" }, "NetworkPolicyConfig": { "description": "Configuration for NetworkPolicy. This only tracks whether the addon\nis enabled or not on the Master, it does not track whether network policy\nis enabled for the nodes.", "type": "object", "properties": { "disabled": { "description": "Whether NetworkPolicy is enabled for this cluster.", "type": "boolean" } }, "id": "NetworkPolicyConfig" }, "Cluster": { "description": "A Google Kubernetes Engine cluster.", "type": "object", "properties": { "addonsConfig": { "description": "Configurations for the various addons available to run in the cluster.", "$ref": "AddonsConfig" }, "podSecurityPolicyConfig": { "description": "Configuration for the PodSecurityPolicy feature.", "$ref": "PodSecurityPolicyConfig" }, "currentNodeVersion": { "description": "[Output only] Deprecated, use\n[NodePool.version](/kubernetes-engine/docs/reference/rest/v1beta1/projects.zones.clusters.nodePool)\ninstead. The current version of the node software components.\nIf they are currently at multiple versions because they're in the process\nof being upgraded, this reflects the minimum version of all nodes.", "type": "string" }, "subnetwork": { "description": "The name of the Google Compute Engine\n[subnetwork](/compute/docs/subnetworks) to which the\ncluster is connected. On output this shows the subnetwork ID instead of\nthe name.", "type": "string" }, "maintenancePolicy": { "$ref": "MaintenancePolicy", "description": "Configure the maintenance policy for this cluster." }, "resourceLabels": { "additionalProperties": { "type": "string" }, "description": "The resource labels for the cluster to use to annotate any related\nGoogle Compute Engine resources.", "type": "object" }, "initialClusterVersion": { "description": "The initial Kubernetes version for this cluster.  Valid versions are those\nfound in validMasterVersions returned by getServerConfig.  The version can\nbe upgraded over time; such upgrades are reflected in\ncurrentMasterVersion and currentNodeVersion.\n\nUsers may specify either explicit versions offered by\nKubernetes Engine or version aliases, which have the following behavior:\n\n- \"latest\": picks the highest valid Kubernetes version\n- \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version\n- \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version\n- \"1.X.Y-gke.N\": picks an explicit Kubernetes version\n- \"\",\"-\": picks the default Kubernetes version", "type": "string" }, "ipAllocationPolicy": { "$ref": "IPAllocationPolicy", "description": "Configuration for cluster IP allocation." }, "legacyAbac": { "description": "Configuration for the legacy ABAC authorization mode.", "$ref": "LegacyAbac" }, "resourceUsageExportConfig": { "description": "Configuration for exporting resource usages. Resource usage export is\ndisabled when this config unspecified.", "$ref": "ResourceUsageExportConfig" }, "enableTpu": { "description": "Enable the ability to use Cloud TPUs in this cluster.", "type": "boolean" }, "selfLink": { "type": "string", "description": "[Output only] Server-defined URL for the resource." }, "nodePools": { "description": "The node pools associated with this cluster.\nThis field should not be set if \"node_config\" or \"initial_node_count\" are\nspecified.", "type": "array", "items": { "$ref": "NodePool" } }, "locations": { "description": "The list of Google Compute Engine\n[zones](/compute/docs/zones#available) in which the cluster's nodes\nshould be located.", "type": "array", "items": { "type": "string" } }, "servicesIpv4Cidr": { "description": "[Output only] The IP address range of the Kubernetes services in\nthis cluster, in\n[CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)\nnotation (e.g. `1.2.3.4/29`). Service addresses are\ntypically put in the last `/16` from the container CIDR.", "type": "string" }, "networkPolicy": { "$ref": "NetworkPolicy", "description": "Configuration options for the NetworkPolicy feature." }, "enableKubernetesAlpha": { "description": "Kubernetes alpha features are enabled on this cluster. This includes alpha\nAPI groups (e.g. v1beta1) and features that may not be production ready in\nthe kubernetes version of the master and nodes.\nThe cluster has no SLA for uptime and master/node upgrades are disabled.\nAlpha enabled clusters are automatically deleted thirty days after\ncreation.", "type": "boolean" }, "description": { "description": "An optional description of this cluster.", "type": "string" }, "conditions": { "type": "array", "items": { "$ref": "StatusCondition" }, "description": "Which conditions caused the current cluster state." }, "privateCluster": { "description": "If this is a private cluster setup. Private clusters are clusters that, by\ndefault have no external IP addresses on the nodes and where nodes and the\nmaster communicate over private IP addresses.\nThis field is deprecated, use private_cluster_config.enable_private_nodes\ninstead.", "type": "boolean" }, "currentNodeCount": { "type": "integer", "description": "[Output only]  The number of nodes currently in the cluster. Deprecated.\nCall Kubernetes API directly to retrieve node information.", "format": "int32" }, "monitoringService": { "description": "The monitoring service the cluster should use to write metrics.\nCurrently available options:\n\n* `monitoring.googleapis.com` - the Google Cloud Monitoring service.\n* `none` - no metrics will be exported from the cluster.\n* if left as an empty string, `monitoring.googleapis.com` will be used.", "type": "string" }, "binaryAuthorization": { "description": "Configuration for Binary Authorization.", "$ref": "BinaryAuthorization" }, "tpuIpv4CidrBlock": { "type": "string", "description": "[Output only] The IP address range of the Cloud TPUs in this cluster, in\n[CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)\nnotation (e.g. `1.2.3.4/29`)." }, "zone": { "description": "[Output only] The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field is deprecated, use location instead.", "type": "string" }, "loggingService": { "description": "The logging service the cluster should use to write logs.\nCurrently available options:\n\n* `logging.googleapis.com` - the Google Cloud Logging service.\n* `none` - no logs will be exported from the cluster.\n* if left as an empty string,`logging.googleapis.com` will be used.", "type": "string" }, "expireTime": { "description": "[Output only] The time the cluster will be automatically\ndeleted in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "type": "string" }, "nodeConfig": { "description": "Parameters used in creating the cluster's nodes.\nSee `nodeConfig` for the description of its properties.\nFor requests, this field should only be used in lieu of a\n\"node_pool\" object, since this configuration (along with the\n\"initial_node_count\") will be used to create a \"NodePool\" object with an\nauto-generated name. Do not use this and a node_pool at the same time.\nFor responses, this field will be populated with the node configuration of\nthe first node pool.\n\nIf unspecified, the defaults are used.", "$ref": "NodeConfig" }, "status": { "description": "[Output only] The current status of this cluster.", "type": "string", "enumDescriptions": ["Not set.", "The PROVISIONING state indicates the cluster is being created.", "The RUNNING state indicates the cluster has been created and is fully\nusable.", "The RECONCILING state indicates that some work is actively being done on\nthe cluster, such as upgrading the master or node software. Details can\nbe found in the `statusMessage` field.", "The STOPPING state indicates the cluster is being deleted.", "The ERROR state indicates the cluster may be unusable. Details\ncan be found in the `statusMessage` field.", "The DEGRADED state indicates the cluster requires user action to restore\nfull functionality. Details can be found in the `statusMessage` field."], "enum": ["STATUS_UNSPECIFIED", "PROVISIONING", "RUNNING", "RECONCILING", "STOPPING", "ERROR", "DEGRADED"] }, "networkConfig": { "description": "Configuration for cluster networking.", "$ref": "NetworkConfig" }, "name": { "description": "The name of this cluster. The name must be unique within this project\nand zone, and can be up to 40 characters with the following restrictions:\n\n* Lowercase letters, numbers, and hyphens only.\n* Must start with a letter.\n* Must end with a number or a letter.", "type": "string" }, "endpoint": { "description": "[Output only] The IP address of this cluster's master endpoint.\nThe endpoint can be accessed from the internet at\n`https://username:password@endpoint/`.\n\nSee the `masterAuth` property of this resource for username and\npassword information.", "type": "string" }, "location": { "description": "[Output only] The name of the Google Compute Engine\n[zone](/compute/docs/regions-zones/regions-zones#available) or\n[region](/compute/docs/regions-zones/regions-zones#available) in which\nthe cluster resides.", "type": "string" }, "createTime": { "description": "[Output only] The time the cluster was created, in\n[RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "type": "string" }, "clusterIpv4Cidr": { "description": "The IP address range of the container pods in this cluster, in\n[CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)\nnotation (e.g. `10.96.0.0/14`). Leave blank to have\none automatically chosen or specify a `/14` block in `10.0.0.0/8`.", "type": "string" }, "autoscaling": { "$ref": "ClusterAutoscaling", "description": "Cluster-level autoscaling configuration." }, "initialNodeCount": { "description": "The number of nodes to create in this cluster. You must ensure that your\nCompute Engine <a href=\"/compute/docs/resource-quotas\">resource quota</a>\nis sufficient for this number of instances. You must also have available\nfirewall and routes quota.\nFor requests, this field should only be used in lieu of a\n\"node_pool\" object, since this configuration (along with the\n\"node_config\") will be used to create a \"NodePool\" object with an\nauto-generated name. Do not use this and a node_pool at the same time.", "format": "int32", "type": "integer" }, "instanceGroupUrls": { "description": "Deprecated. Use node_pools.instance_group_urls.", "type": "array", "items": { "type": "string" } }, "privateClusterConfig": { "$ref": "PrivateClusterConfig", "description": "Configuration for private cluster." }, "verticalPodAutoscaling": { "$ref": "VerticalPodAutoscaling", "description": "Cluster-level Vertical Pod Autoscaling configuration." }, "defaultMaxPodsConstraint": { "description": "The default constraint on the maximum number of pods that can be run\nsimultaneously on a node in the node pool of this cluster. Only honored\nif cluster created with IP Alias support.", "$ref": "MaxPodsConstraint" }, "network": { "description": "The name of the Google Compute Engine\n[network](/compute/docs/networks-and-firewalls#networks) to which the\ncluster is connected. If left unspecified, the `default` network\nwill be used. On output this shows the network ID instead of\nthe name.", "type": "string" }, "labelFingerprint": { "description": "The fingerprint of the set of labels for this cluster.", "type": "string" }, "nodeIpv4CidrSize": { "description": "[Output only] The size of the address space on each node for hosting\ncontainers. This is provisioned from within the `container_ipv4_cidr`\nrange.", "format": "int32", "type": "integer" }, "masterAuthorizedNetworksConfig": { "$ref": "MasterAuthorizedNetworksConfig", "description": "The configuration options for master authorized networks feature." }, "statusMessage": { "description": "[Output only] Additional information about the current status of this\ncluster, if available.", "type": "string" }, "masterAuth": { "description": "The authentication information for accessing the master endpoint.\nIf unspecified, the defaults are used:\nFor clusters before v1.12, if master_auth is unspecified, `username` will\nbe set to \"admin\", a random password will be generated, and a client\ncertificate will be issued.", "$ref": "MasterAuth" }, "masterIpv4CidrBlock": { "description": "The IP prefix in CIDR notation to use for the hosted master network.\nThis prefix will be used for assigning private IP addresses to the\nmaster or set of masters, as well as the ILB VIP.\nThis field is deprecated, use\nprivate_cluster_config.master_ipv4_cidr_block instead.", "type": "string" }, "currentMasterVersion": { "type": "string", "description": "[Output only] The current software version of the master endpoint." } }, "id": "Cluster" }, "CreateNodePoolRequest": { "description": "CreateNodePoolRequest creates a node pool for a cluster.", "type": "object", "properties": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the parent field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the parent field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the parent field.", "type": "string" }, "nodePool": { "$ref": "NodePool", "description": "The node pool to create." }, "parent": { "description": "The parent (project, location, cluster id) where the node pool will be\ncreated. Specified in the format\n'projects/*/locations/*/clusters/*'.", "type": "string" } }, "id": "CreateNodePoolRequest" }, "MasterAuth": { "type": "object", "properties": { "clientCertificateConfig": { "$ref": "ClientCertificateConfig", "description": "Configuration for client certificate authentication on the cluster. For\nclusters before v1.12, if no configuration is specified, a client\ncertificate is issued." }, "password": { "description": "The password to use for HTTP basic authentication to the master endpoint.\nBecause the master endpoint is open to the Internet, you should create a\nstrong password.  If a password is provided for cluster creation, username\nmust be non-empty.", "type": "string" }, "clientKey": { "description": "[Output only] Base64-encoded private key used by clients to authenticate\nto the cluster endpoint.", "type": "string" }, "clusterCaCertificate": { "description": "[Output only] Base64-encoded public certificate that is the root of\ntrust for the cluster.", "type": "string" }, "clientCertificate": { "description": "[Output only] Base64-encoded public certificate used by clients to\nauthenticate to the cluster endpoint.", "type": "string" }, "username": { "description": "The username to use for HTTP basic authentication to the master endpoint.\nFor clusters v1.6.0 and later, basic authentication can be disabled by\nleaving username unspecified (or setting it to the empty string).", "type": "string" } }, "id": "MasterAuth", "description": "The authentication information for accessing the master endpoint.\nAuthentication can be done using HTTP basic auth or using client\ncertificates." }, "DailyMaintenanceWindow": { "description": "Time window specified for daily maintenance operations.", "type": "object", "properties": { "duration": { "description": "[Output only] Duration of the time window, automatically chosen to be\nsmallest possible in the given scenario.", "type": "string" }, "startTime": { "type": "string", "description": "Time within the maintenance window to start the maintenance operations.\nIt must be in format \"HH:MM”, where HH : [00-23] and MM : [00-59] GMT." } }, "id": "DailyMaintenanceWindow" }, "ClusterAutoscaling": { "type": "object", "properties": { "resourceLimits": { "description": "Contains global constraints regarding minimum and maximum\namount of resources in the cluster.", "type": "array", "items": { "$ref": "ResourceLimit" } }, "enableNodeAutoprovisioning": { "description": "Enables automatic node pool creation and deletion.", "type": "boolean" } }, "id": "ClusterAutoscaling", "description": "ClusterAutoscaling contains global, per-cluster information\nrequired by Cluster Autoscaler to automatically adjust\nthe size of the cluster and create/delete\nnode pools based on the current needs." }, "MaintenancePolicy": { "type": "object", "properties": { "window": { "description": "Specifies the maintenance window in which maintenance may be performed.", "$ref": "MaintenanceWindow" } }, "id": "MaintenancePolicy", "description": "MaintenancePolicy defines the maintenance policy to be used for the cluster." }, "ClientCertificateConfig": { "description": "Configuration for client certificates on the cluster.", "type": "object", "properties": { "issueClientCertificate": { "description": "Issue a client certificate.", "type": "boolean" } }, "id": "ClientCertificateConfig" }, "IstioConfig": { "description": "Configuration options for Istio addon.", "type": "object", "properties": { "disabled": { "description": "Whether Istio is enabled for this cluster.", "type": "boolean" }, "auth": { "enum": ["AUTH_NONE", "AUTH_MUTUAL_TLS"], "description": "The specified Istio auth mode, either none, or mutual TLS.", "type": "string", "enumDescriptions": ["auth not enabled", "auth mutual TLS enabled"] } }, "id": "IstioConfig" }, "SetLoggingServiceRequest": { "properties": { "loggingService": { "description": "The logging service the cluster should use to write metrics.\nCurrently available options:\n\n* \"logging.googleapis.com\" - the Google Cloud Logging service\n* \"none\" - no metrics will be exported from the cluster", "type": "string" }, "name": { "description": "The name (project, location, cluster) of the cluster to set logging.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade.\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "SetLoggingServiceRequest", "description": "SetLoggingServiceRequest sets the logging service of a cluster.", "type": "object" }, "SetMaintenancePolicyRequest": { "description": "SetMaintenancePolicyRequest sets the maintenance policy for a cluster.", "type": "object", "properties": { "maintenancePolicy": { "description": "The maintenance policy to be set for the cluster. An empty field\nclears the existing maintenance policy.", "$ref": "MaintenancePolicy" }, "name": { "description": "The name (project, location, cluster id) of the cluster to set maintenance\npolicy.\nSpecified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "projectId": { "description": "The Google Developers Console [project ID or project\nnumber](https://support.google.com/cloud/answer/6158840).", "type": "string" }, "zone": { "type": "string", "description": "The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides." }, "clusterId": { "type": "string", "description": "The name of the cluster to update." } }, "id": "SetMaintenancePolicyRequest" }, "ResourceLimit": { "properties": { "maximum": { "description": "Maximum amount of the resource in the cluster.", "format": "int64", "type": "string" }, "resourceType": { "description": "Resource name \"cpu\", \"memory\" or gpu-specific string.", "type": "string" }, "minimum": { "type": "string", "description": "Minimum amount of the resource in the cluster.", "format": "int64" } }, "id": "ResourceLimit", "description": "Contains information about amount of some resource in the cluster.\nFor memory, value should be in GB.", "type": "object" }, "Empty": { "type": "object", "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`." }, "OperationProgress": { "description": "Information about operation (or operation stage) progress.", "type": "object", "properties": { "stages": { "description": "Substages of an operation or a stage.", "type": "array", "items": { "$ref": "OperationProgress" } }, "status": { "description": "Status of an operation stage.\nUnset for single-stage operations.", "type": "string", "enumDescriptions": ["Not set.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed.", "The operation is aborting."], "enum": ["STATUS_UNSPECIFIED", "PENDING", "RUNNING", "DONE", "ABORTING"] }, "metrics": { "description": "Progress metric bundle, for example:\n  metrics: [{name: \"nodes done\",     int_value: 15},\n            {name: \"nodes total\",    int_value: 32}]\nor\n  metrics: [{name: \"progress\",       double_value: 0.56},\n            {name: \"progress scale\", double_value: 1.0}]", "type": "array", "items": { "$ref": "Metric" } }, "name": { "description": "A non-parameterized string describing an operation stage.\nUnset for single-stage operations.", "type": "string" } }, "id": "OperationProgress" }, "WorkloadMetadataConfig": { "description": "WorkloadMetadataConfig defines the metadata configuration to expose to\nworkloads on the node pool.", "type": "object", "properties": { "nodeMetadata": { "description": "NodeMetadata is the configuration for how to expose the node metadata to\nthe workload running on the node.", "type": "string", "enumDescriptions": ["Not set.", "Prevent workloads not in hostNetwork from accessing certain VM metadata,\nspecifically kube-env, which contains Kubelet credentials, and the\ninstance identity token.\n\nMetadata concealment is a temporary security solution available while the\nbootstrapping process for cluster nodes is being redesigned with\nsignificant security improvements.  This feature is scheduled to be\ndeprecated in the future and later removed.", "Expose all VM metadata to pods."], "enum": ["UNSPECIFIED", "SECURE", "EXPOSE"] } }, "id": "WorkloadMetadataConfig" }, "VerticalPodAutoscaling": { "description": "VerticalPodAutoscaling contains global, per-cluster information\nrequired by Vertical Pod Autoscaler to automatically adjust\nthe resources of pods controlled by it.", "type": "object", "properties": { "enabled": { "description": "Enables vertical pod autoscaling.", "type": "boolean" } }, "id": "VerticalPodAutoscaling" }, "ListNodePoolsResponse": { "description": "ListNodePoolsResponse is the result of ListNodePoolsRequest.", "type": "object", "properties": { "nodePools": { "description": "A list of node pools for a cluster.", "type": "array", "items": { "$ref": "NodePool" } } }, "id": "ListNodePoolsResponse" }, "CompleteIPRotationRequest": { "type": "object", "properties": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster id) of the cluster to complete IP\nrotation. Specified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" } }, "id": "CompleteIPRotationRequest", "description": "CompleteIPRotationRequest moves the cluster master back into single-IP mode." }, "StartIPRotationRequest": { "description": "StartIPRotationRequest creates a new IP for the cluster and then performs\na node upgrade on each node pool to point to the new IP.", "type": "object", "properties": { "zone": { "description": "Deprecated. The name of the Google Compute Engine\n[zone](/compute/docs/zones#available) in which the cluster\nresides.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster.\nThis field has been deprecated and replaced by the name field.", "type": "string" }, "rotateCredentials": { "description": "Whether to rotate credentials during IP rotation.", "type": "boolean" }, "name": { "description": "The name (project, location, cluster id) of the cluster to start IP\nrotation. Specified in the format 'projects/*/locations/*/clusters/*'.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project\nnumber](https://developers.google.com/console/help/new/#projectnumber).\nThis field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "StartIPRotationRequest" }, "BigQueryDestination": { "description": "Parameters for using BigQuery as the destination of resource usage export.", "type": "object", "properties": { "datasetId": { "description": "The ID of a BigQuery Dataset.", "type": "string" } }, "id": "BigQueryDestination" }, "Metric": { "id": "Metric", "description": "Progress metric is (string, int|float|string) pair.", "type": "object", "properties": { "doubleValue": { "description": "For metrics with floating point value.", "format": "double", "type": "number" }, "intValue": { "description": "For metrics with integer value.", "format": "int64", "type": "string" }, "stringValue": { "description": "For metrics with custom values (ratios, visual progress, etc.).", "type": "string" }, "name": { "type": "string", "description": "Metric name, required.\ne.g., \"nodes total\", \"percent done\"" } } }, "ListUsableSubnetworksResponse": { "description": "ListUsableSubnetworksResponse is the response of\nListUsableSubnetworksRequest.", "type": "object", "properties": { "nextPageToken": { "description": "This token allows you to get the next page of results for list requests.\nIf the number of results is larger than `page_size`, use the\n`next_page_token` as a value for the query parameter `page_token` in the\nnext request. The value will become empty when there are no more pages.", "type": "string" }, "subnetworks": { "type": "array", "items": { "$ref": "UsableSubnetwork" }, "description": "A list of usable subnetworks in the specified network project." } }, "id": "ListUsableSubnetworksResponse" }, "ListLocationsResponse": { "type": "object", "properties": { "locations": { "description": "A full list of GKE locations.", "type": "array", "items": { "$ref": "Location" } }, "nextPageToken": { "description": "Only return ListLocationsResponse that occur after the page_token. This\nvalue should be populated from the ListLocationsResponse.next_page_token if\nthat response token was set (which happens when listing more Locations than\nfit in a single ListLocationsResponse).", "type": "string" } }, "id": "ListLocationsResponse", "description": "ListLocationsResponse returns the list of all GKE locations and their\nrecommendation state." } }, "protocol": "rest", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "canonicalName": "Container", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "View and manage your data across Google Cloud Platform services" } } } } };
//# sourceMappingURL=container-v1beta1.js.map