export default {"canonicalName":"Cloud Filestore","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://file.googleapis.com/","ownerDomain":"google.com","name":"file","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Cloud Filestore API","ownerName":"Google","resources":{"projects":{"resources":{"locations":{"resources":{"operations":{"methods":{"cancel":{"response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/operations/[^/]+$","location":"path","description":"The name of the operation resource to be cancelled.","required":true,"type":"string"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel","path":"v1beta1/{+name}:cancel","id":"file.projects.locations.operations.cancel","request":{"$ref":"CancelOperationRequest"},"description":"Starts asynchronous cancellation on a long-running operation.  The server\nmakes a best effort to cancel the operation, but success is not\nguaranteed.  If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.  Clients can use\nOperations.GetOperation or\nother methods to check whether the cancellation succeeded or whether the\noperation completed despite cancellation. On successful cancellation,\nthe operation is not deleted; instead, it becomes an operation with\nan Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`."},"delete":{"response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","parameters":{"name":{"description":"The name of the operation resource to be deleted.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/operations/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}","path":"v1beta1/{+name}","id":"file.projects.locations.operations.delete","description":"Deletes a long-running operation. This method indicates that the client is\nno longer interested in the operation result. It does not cancel the\noperation. If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`."},"list":{"path":"v1beta1/{+name}/operations","id":"file.projects.locations.operations.list","description":"Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id.","response":{"$ref":"ListOperationsResponse"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"filter":{"location":"query","description":"The standard list filter.","type":"string"},"name":{"pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"The name of the operation's parent resource.","required":true,"type":"string"},"pageToken":{"description":"The standard list page token.","type":"string","location":"query"},"pageSize":{"location":"query","description":"The standard list page size.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/operations"},"get":{"id":"file.projects.locations.operations.get","path":"v1beta1/{+name}","description":"Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice.","httpMethod":"GET","response":{"$ref":"Operation"},"parameterOrder":["name"],"parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/operations/[^/]+$","location":"path","description":"The name of the operation resource.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}"}}},"instances":{"methods":{"delete":{"id":"file.projects.locations.instances.delete","path":"v1beta1/{+name}","description":"Deletes an instance.","httpMethod":"DELETE","response":{"$ref":"Operation"},"parameterOrder":["name"],"parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+/instances/[^/]+$","location":"path","description":"The instance resource name, in the format\nprojects/{project_id}/locations/{location}/instances/{instance_id}","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}"},"list":{"path":"v1beta1/{+parent}/instances","id":"file.projects.locations.instances.list","description":"Lists all instances in a project for either a specified location\nor for all locations.","response":{"$ref":"ListInstancesResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"parent":{"description":"The project and location for which to retrieve instance information,\nin the format projects/{project_id}/locations/{location}. In Cloud\nFilestore, locations map to GCP zones, for example **us-west1-b**. To\nretrieve instance information for all locations, use \"-\" for the {location}\nvalue.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+$","location":"path"},"filter":{"location":"query","description":"List filter.","type":"string"},"pageToken":{"location":"query","description":"The next_page_token value to use if there are additional\nresults to retrieve for this list request.","type":"string"},"orderBy":{"location":"query","description":"Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted).","type":"string"},"pageSize":{"description":"The maximum number of items to return.","format":"int32","type":"integer","location":"query"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/instances"},"get":{"description":"Gets the details of a specific instance.","httpMethod":"GET","response":{"$ref":"Instance"},"parameterOrder":["name"],"parameters":{"name":{"description":"The instance resource name, in the format\nprojects/{project_id}/locations/{location}/instances/{instance_id}.","required":true,"type":"string","pattern":"^projects/[^/]+/locations/[^/]+/instances/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}","id":"file.projects.locations.instances.get","path":"v1beta1/{+name}"},"patch":{"httpMethod":"PATCH","parameterOrder":["name"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"parameters":{"updateMask":{"description":"Mask of fields to update.  At least one path must be supplied in this\nfield.  The elements of the repeated paths field may only include these\nfields:\n\"description\"","format":"google-fieldmask","type":"string","location":"query"},"name":{"pattern":"^projects/[^/]+/locations/[^/]+/instances/[^/]+$","location":"path","description":"Output only.\nThe resource name of the instance, in the format\nprojects/{project_id}/locations/{location_id}/instances/{instance_id}.","required":true,"type":"string"}},"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}","id":"file.projects.locations.instances.patch","path":"v1beta1/{+name}","request":{"$ref":"Instance"},"description":"Updates the settings of a specific instance."},"create":{"description":"Creates an instance.","request":{"$ref":"Instance"},"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"Operation"},"parameters":{"parent":{"pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"The instance's project and location, in the format\nprojects/{project_id}/locations/{location}. In Cloud Filestore,\nlocations map to GCP zones, for example **us-west1-b**.","required":true,"type":"string"},"instanceId":{"location":"query","description":"The name of the instance to create.\nThe name must be unique for the specified project and location.","type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}/instances","id":"file.projects.locations.instances.create","path":"v1beta1/{+parent}/instances"}}}},"methods":{"list":{"description":"Lists information about the supported locations for this service.","httpMethod":"GET","parameterOrder":["name"],"response":{"$ref":"ListLocationsResponse"},"parameters":{"name":{"description":"The resource that owns the locations collection, if applicable.","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"},"pageToken":{"description":"The standard list page token.","type":"string","location":"query"},"pageSize":{"description":"The standard list page size.","format":"int32","type":"integer","location":"query"},"filter":{"description":"The standard list filter.","type":"string","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations","id":"file.projects.locations.list","path":"v1beta1/{+name}/locations"},"get":{"id":"file.projects.locations.get","path":"v1beta1/{+name}","description":"Gets information about a location.","httpMethod":"GET","response":{"$ref":"Location"},"parameterOrder":["name"],"parameters":{"name":{"pattern":"^projects/[^/]+/locations/[^/]+$","location":"path","description":"Resource name for the location.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform"],"flatPath":"v1beta1/projects/{projectsId}/locations/{locationsId}"}}}}}},"parameters":{"alt":{"enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"],"type":"string"},"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"prettyPrint":{"description":"Returns response with indentations and line breaks.","type":"boolean","default":"true","location":"query"},"quotaUser":{"description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string","location":"query"},"uploadType":{"description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string","location":"query"},"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"$.xgafv":{"enum":["1","2"],"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"callback":{"location":"query","description":"JSONP","type":"string"}},"version":"v1beta1","baseUrl":"https://file.googleapis.com/","kind":"discovery#restDescription","description":"The Cloud Filestore API is used for creating and managing cloud file servers.","servicePath":"","basePath":"","revision":"20181203","id":"file:v1beta1","documentationLink":"https://cloud.google.com/filestore/","discoveryVersion":"v1","version_module":true,"schemas":{"FileShareConfig":{"properties":{"name":{"description":"The name of the file share (must be 16 characters or less).","type":"string"},"capacityGb":{"description":"File share capacity in gigabytes (GB).\nCloud Filestore defines 1 GB as 1024^3 bytes.","format":"int64","type":"string"}},"id":"FileShareConfig","description":"File share configuration for the instance.","type":"object"},"ListOperationsResponse":{"properties":{"nextPageToken":{"description":"The standard List next-page token.","type":"string"},"operations":{"description":"A list of operations that matches the specified filter in the request.","type":"array","items":{"$ref":"Operation"}}},"id":"ListOperationsResponse","description":"The response message for Operations.ListOperations.","type":"object"},"OperationMetadata":{"description":"Represents the metadata of the long-running operation.","type":"object","properties":{"cancelRequested":{"description":"[Output only] Identifies whether the user has requested cancellation\nof the operation. Operations that have successfully been cancelled\nhave Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`.","type":"boolean"},"verb":{"description":"[Output only] Name of the verb executed by the operation.","type":"string"},"createTime":{"description":"[Output only] The time the operation was created.","format":"google-datetime","type":"string"},"statusDetail":{"description":"[Output only] Human-readable status of the operation, if any.","type":"string"},"apiVersion":{"description":"[Output only] API version used to start the operation.","type":"string"},"target":{"description":"[Output only] Server-defined resource path for the target of the operation.","type":"string"},"endTime":{"description":"[Output only] The time the operation finished running.","format":"google-datetime","type":"string"}},"id":"OperationMetadata"},"ListLocationsResponse":{"properties":{"nextPageToken":{"description":"The standard List next-page token.","type":"string"},"locations":{"description":"A list of locations that matches the specified filter in the request.","type":"array","items":{"$ref":"Location"}}},"id":"ListLocationsResponse","description":"The response message for Locations.ListLocations.","type":"object"},"ListInstancesResponse":{"properties":{"instances":{"description":"A list of instances in the project for the specified location.\n\nIf the {location} value in the request is \"-\", the response contains a list\nof instances from all locations. If any location is unreachable, the\nresponse will only return instances in reachable locations and the\n\"unreachable\" field will be populated with a list of unreachable locations.","type":"array","items":{"$ref":"Instance"}},"nextPageToken":{"description":"The token you can use to retrieve the next page of results. Not returned\nif there are no more results in the list.","type":"string"},"unreachable":{"description":"Locations that could not be reached.","type":"array","items":{"type":"string"}}},"id":"ListInstancesResponse","description":"ListInstancesResponse is the result of ListInstancesRequest.","type":"object"},"CancelOperationRequest":{"properties":{},"id":"CancelOperationRequest","description":"The request message for Operations.CancelOperation.","type":"object"},"Operation":{"properties":{"response":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.","type":"object"},"name":{"description":"The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should have the format of `operations/some/unique/name`.","type":"string"},"error":{"$ref":"Status","description":"The error result of the operation in case of failure or cancellation."},"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.","type":"object"},"done":{"description":"If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.","type":"boolean"}},"id":"Operation","description":"This resource represents a long-running operation that is the result of a\nnetwork API call.","type":"object"},"NetworkConfig":{"description":"Network configuration for the instance.","type":"object","properties":{"network":{"description":"The name of the Google Compute Engine\n[VPC network](/compute/docs/networks-and-firewalls#networks) to which the\ninstance is connected.","type":"string"},"modes":{"description":"Internet protocol versions for which the instance has IP addresses\nassigned. For this version, only MODE_IPV4 is supported.","type":"array","items":{"enum":["ADDRESS_MODE_UNSPECIFIED","MODE_IPV4"],"type":"string"},"enumDescriptions":["Internet protocol not set.","Use the IPv4 internet protocol."]},"reservedIpRange":{"description":"A /29 CIDR block in one of the\n[internal IP address ranges](https://www.arin.net/knowledge/address_filters.html)\nthat identifies the range of IP addresses reserved for this\ninstance. For example, 10.0.0.0/29 or 192.168.0.0/29. The range you specify\ncan't overlap with either existing subnets or assigned IP address ranges\nfor other Cloud Filestore instances in the selected VPC network.","type":"string"},"ipAddresses":{"description":"Output only.\nIPv4 addresses in the format\n{octet 1}.{octet 2}.{octet 3}.{octet 4} or IPv6 addresses in the format\n{block 1}:{block 2}:{block 3}:{block 4}:{block 5}:{block 6}:{block 7}:{block 8}.","type":"array","items":{"type":"string"}}},"id":"NetworkConfig"},"Instance":{"properties":{"tier":{"enum":["TIER_UNSPECIFIED","STANDARD","PREMIUM"],"description":"The service tier of the instance.","type":"string","enumDescriptions":["Not set.","STANDARD tier.","PREMIUM tier."]},"description":{"description":"Optional. A description of the instance (2048 characters or less).","type":"string"},"etag":{"description":"Server-specified ETag for the instance resource to prevent simultaneous\nupdates from overwriting each other.","type":"string"},"createTime":{"description":"Output only.\nThe time when the instance was created.","format":"google-datetime","type":"string"},"labels":{"additionalProperties":{"type":"string"},"description":"Resource labels to represent user provided metadata.","type":"object"},"state":{"enum":["STATE_UNSPECIFIED","CREATING","READY","REPAIRING","DELETING","ERROR"],"description":"Output only.\nThe instance state.","type":"string","enumDescriptions":["State not set.","The instance is being created.","The instance is available for use.","Work is being done on the instance. You can get further details from the\n`statusMessage` field of the `Instance` resource.","The instance is shutting down.","The instance is experiencing an issue and might be unusable. You can get\nfurther details from the `statusMessage` field of the `Instance`\nresource."]},"statusMessage":{"description":"Output only.\nAdditional information about the instance state, if available.","type":"string"},"name":{"description":"Output only.\nThe resource name of the instance, in the format\nprojects/{project_id}/locations/{location_id}/instances/{instance_id}.","type":"string"},"networks":{"description":"VPC networks to which the instance is connected.\nFor this version, only a single network is supported.","type":"array","items":{"$ref":"NetworkConfig"}},"fileShares":{"description":"File system shares on the instance.\nFor this version, only a single file share is supported.","type":"array","items":{"$ref":"FileShareConfig"}}},"id":"Instance","description":"A Cloud Filestore instance.","type":"object"},"Status":{"properties":{"message":{"description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.","type":"string"},"details":{"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.","type":"array","items":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"type":"object"}},"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"}},"id":"Status","description":"The `Status` type defines a logical error model that is suitable for different\nprogramming environments, including REST APIs and RPC APIs. It is used by\n[gRPC](https://github.com/grpc). The error model is designed to be:\n\n- Simple to use and understand for most users\n- Flexible enough to meet unexpected needs\n\n# Overview\n\nThe `Status` message contains three pieces of data: error code, error message,\nand error details. The error code should be an enum value of\ngoogle.rpc.Code, but it may accept additional error codes if needed.  The\nerror message should be a developer-facing English message that helps\ndevelopers *understand* and *resolve* the error. If a localized user-facing\nerror message is needed, put the localized message in the error details or\nlocalize it in the client. The optional error details may contain arbitrary\ninformation about the error. There is a predefined set of error detail types\nin the package `google.rpc` that can be used for common error conditions.\n\n# Language mapping\n\nThe `Status` message is the logical representation of the error model, but it\nis not necessarily the actual wire format. When the `Status` message is\nexposed in different client libraries and different wire protocols, it can be\nmapped differently. For example, it will likely be mapped to some exceptions\nin Java, but more likely mapped to some error codes in C.\n\n# Other uses\n\nThe error model and the `Status` message can be used in a variety of\nenvironments, either with or without APIs, to provide a\nconsistent developer experience across different environments.\n\nExample uses of this error model include:\n\n- Partial errors. If a service needs to return partial errors to the client,\n    it may embed the `Status` in the normal response to indicate the partial\n    errors.\n\n- Workflow errors. A typical workflow has multiple steps. Each step may\n    have a `Status` message for error reporting.\n\n- Batch operations. If a client uses batch request and batch response, the\n    `Status` message should be used directly inside batch response, one for\n    each error sub-response.\n\n- Asynchronous operations. If an API call embeds asynchronous operation\n    results in its response, the status of those operations should be\n    represented directly using the `Status` message.\n\n- Logging. If some API errors are stored in logs, the message `Status` could\n    be used directly after any stripping needed for security/privacy reasons.","type":"object"},"Empty":{"properties":{},"id":"Empty","description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.","type":"object"},"Location":{"properties":{"name":{"description":"Resource name for the location, which may vary between implementations.\nFor example: `\"projects/example-project/locations/us-east1\"`","type":"string"},"locationId":{"description":"The canonical id for this location. For example: `\"us-east1\"`.","type":"string"},"displayName":{"description":"The friendly name for this location, typically a nearby city name.\nFor example, \"Tokyo\".","type":"string"},"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata. For example the available capacity at the given\nlocation.","type":"object"},"labels":{"additionalProperties":{"type":"string"},"description":"Cross-service attributes for the location. For example\n\n    {\"cloud.googleapis.com/region\": \"us-east1\"}","type":"object"}},"id":"Location","description":"A resource that represents Google Cloud Platform location.","type":"object"}},"protocol":"rest","icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"}};